import React from "react";
import useMeasure from "~/hooks/useMeasure";
import { motion } from "framer-motion";
import * as styles from "./styles";
const AnimateHeight = ({ transitionOpacity = true, defaultHeight = 0, open, children, }) => {
    const [ref, rect] = useMeasure();
    const variants = {
        open: {
            height: rect.height,
            opacity: 1,
        },
        closed: {
            height: defaultHeight,
            opacity: transitionOpacity ? 0 : 1,
        },
    };
    return (React.createElement(motion.div, { className: styles.container, variants: variants, initial: open ? "open" : "closed", animate: open ? "open" : "closed", transition: {
            ease: "easeInOut",
        } },
        React.createElement("div", { ref: ref }, children)));
};
export default AnimateHeight;
//# sourceMappingURL=index.js.map