import * as styles from "./styles";
// https://apexcharts.com/docs/chart-types/area-chart/
// To view all the available options, go to "Options (Reference)"
export const defaultOptions = {
    chart: {
        width: "100%",
        height: "100%",
        toolbar: {
            show: false,
        },
        fontFamily: styles.fontFamily,
        zoom: {
            enabled: false,
        },
    },
    responsive: [
        {
            breakpoint: 600,
            options: {
                chart: {
                    height: "150%",
                },
            },
        },
    ],
    grid: {
        yaxis: {
            lines: {
                show: false,
            },
        },
        xaxis: {
            lines: {
                show: true,
            },
        },
    },
    tooltip: {
        followCursor: false,
        x: {
            show: false,
        },
        y: {
            title: {
                // Empty to remove the name of the series
                formatter: (value) => "",
            },
        },
        marker: {
            show: false,
        },
    },
    dataLabels: {
        enabled: false,
    },
    legend: {
        show: false,
    },
    fill: {
        type: "gradient",
        gradient: {
            opacityFrom: 0,
            opacityTo: 0,
        },
    },
    series: [],
    xaxis: {
        categories: [],
        labels: {
            show: true,
            style: {
                cssClass: styles.axis,
            },
        },
        axisBorder: {
            show: false,
        },
        axisTicks: {
            show: false,
        },
        tooltip: {
            enabled: false,
        },
    },
    yaxis: {
        show: true,
        tickAmount: 5,
        tooltip: {
            enabled: false,
        },
        labels: {
            show: true,
            style: {
                cssClass: styles.axis,
            },
        },
        title: {
            style: {
                cssClass: styles.axis,
            },
        },
    },
    markers: {
        size: 4,
        strokeWidth: 0,
        showNullDataPoints: false,
        hover: {
            size: 4,
        },
    },
};
//# sourceMappingURL=options.js.map