import * as styles from "./styles";
// https://apexcharts.com/docs/chart-types/area-chart/
// To view all the available options, go to "Options (Reference)"
export const defaultOptions = {
    chart: {
        type: "area",
        width: "100%",
        height: "100%",
        dropShadow: {
            enabled: false,
        },
        toolbar: {
            show: false,
        },
        zoom: {
            enabled: false,
        },
    },
    tooltip: {
        followCursor: false,
        x: {
            show: false,
        },
        y: {
            title: {
                // Empty to remove the name of the series
                formatter: (value) => "",
            },
        },
        marker: {
            show: false,
        },
    },
    dataLabels: {
        enabled: false,
    },
    legend: {
        show: true,
    },
    fill: {
        type: "gradient",
        gradient: {
            opacityFrom: 0,
            opacityTo: 0,
        },
    },
    series: [],
    xaxis: {
        categories: [],
        labels: {
            show: true,
            style: {
                cssClass: styles.axis,
            },
        },
        axisBorder: {
            show: false,
        },
        axisTicks: {
            show: false,
        },
        tooltip: {
            enabled: false,
        },
    },
    yaxis: {
        min: 0,
        show: true,
        tickAmount: 3,
        tooltip: {
            enabled: false,
        },
    },
    markers: {
        size: 4,
        strokeWidth: 0,
        hover: {
            size: 4,
        },
    },
};
//# sourceMappingURL=options.js.map