import type { AnalyticsSettings } from "@local-logic/core/tracking";
/**
 * https://developer.mixpanel.com/reference/project-token
 *
 * Every Mixpanel project has a unique alphanumerical token for collecting data. A project's token is not a secret value.
 * In front-end implementation, such as our javascript library, this token will be available to anyone visiting your page.
 *
 * With that in mind, it is important to note that a project's token is not a form of authorization.
 * It is an identification sent along with each piece of data you send to your project.
 *
 * The settings below should correspond to Mixpanel projects, rather than specific SDKs (Hence "neighborhoodWrap")
 */
export declare const ANALYTICS_SETTINGS: {
    [key: string]: AnalyticsSettings;
};
//# sourceMappingURL=analytics.d.ts.map