import React from "react";
import LocalLogicClient from "@local-logic/client";
import { ProductNames } from "~/types";
import type { Environment, Appearance, Locale, ExternalId } from "~/types/options";
interface LocalLogicProviderProps {
    apiKey?: string;
    externalId?: string;
    appearance?: Appearance;
    children: React.ReactNode;
    locale?: Locale;
    product?: ProductNames;
    environment?: Environment["api"];
}
interface DefaultContext {
    client: ReturnType<typeof LocalLogicClient>;
    options: {
        externalId?: ExternalId;
        appearance?: Appearance;
    };
}
declare const LocalLogicContext: React.Context<DefaultContext>;
declare const useLocalLogic: () => DefaultContext;
declare const LocalLogicProvider: ({ appearance, apiKey, externalId, children, locale, product, environment, }: LocalLogicProviderProps) => React.JSX.Element;
export { useLocalLogic, LocalLogicProvider, LocalLogicContext };
//# sourceMappingURL=index.d.ts.map