import { LineString } from "@turf/turf";
export interface Route {
    id: string;
    sections: [id: string, type: string];
}
export interface RoutesResponse {
    routes: Route[];
    summary: {
        baseDuration: number;
        typicalDuration: number;
        length: number;
    };
    polyline: string;
}
export interface MapBoxRoute {
    weight_name: string;
    weight: number;
    duration: number;
    distance: number;
    legs: Legs[];
    geometry: LineString;
}
export interface Legs {
    via_waypoints: [];
    admins: {
        iso_3166_1_alpha3: string;
        iso_3166_1: string;
    }[];
    weight: number;
    duration: number;
    distance: number;
    steps: [];
    summary: string;
}
export interface Waypoints {
    distance: number;
    name: string;
    location: [number, number];
}
export interface MapBoxRoutesResponse {
    routes: MapBoxRoute[];
    waypoints: Waypoints[];
    code: string;
    uuid: string;
}
//# sourceMappingURL=types.d.ts.map