var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useQuery } from "@tanstack/react-query";
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { geographiesKeys } from "~/features/geographies";
export function useGeographies({ location, geogID, externalId, include, }) {
    const { client } = useLocalLogic();
    const fetchGeographies = () => __awaiter(this, void 0, void 0, function* () {
        const params = {};
        if (geogID) {
            params.geogId = geogID;
        }
        else {
            params.lat = location === null || location === void 0 ? void 0 : location.lat;
            params.lng = location === null || location === void 0 ? void 0 : location.lng;
        }
        if (externalId) {
            params.externalId = externalId;
        }
        if (include) {
            params.include = include;
        }
        const response = yield client.getGeographies(params);
        return response.geographies;
    });
    return useQuery({
        queryKey: geographiesKeys.list(location),
        queryFn: fetchGeographies,
        enabled: (!!(location === null || location === void 0 ? void 0 : location.lat) && !!(location === null || location === void 0 ? void 0 : location.lng)) || !!geogID,
    });
}
//# sourceMappingURL=useGeographies.js.map