var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useQuery } from "@tanstack/react-query";
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { useFlags } from "launchdarkly-react-client-sdk";
import { marketActivityKeys } from "../marketActivity/keyFactory";
export function useMarketActivity({ geogID, propertyTypes, intervals, }) {
    const { client } = useLocalLogic();
    const flags = useFlags();
    const fetchMarketActivity = () => __awaiter(this, void 0, void 0, function* () {
        const response = yield client.getMarketActivity({
            geogId: geogID,
            propertyTypes,
            intervals,
        });
        if (typeof response === "undefined") {
            // Query data cannot be undefined
            return null;
        }
        return response;
    });
    return useQuery({
        queryKey: marketActivityKeys.list({ geogId: geogID }),
        queryFn: fetchMarketActivity,
        enabled: !!(geogID && flags.marketTrendsSdk),
    });
}
//# sourceMappingURL=useMarketActivity.js.map