var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useQuery } from "@tanstack/react-query";
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { marketTrendsKeys } from "../marketTrends/keyFactory";
export function useMarketTrends({ geogID }) {
    const { client } = useLocalLogic();
    const fetchMarketStats = () => __awaiter(this, void 0, void 0, function* () {
        const response = yield client.getMarketTrends({
            geogId: geogID,
        });
        return response;
    });
    return useQuery({
        queryKey: marketTrendsKeys.list({ geogId: geogID }),
        queryFn: fetchMarketStats,
        enabled: !!geogID,
    });
}
//# sourceMappingURL=useMarketTrends.js.map