var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { useQuery } from "@tanstack/react-query";
import { poisKeys } from "~/features/pois";
export function usePois({ lat, lng, include, 
// 30 is the default limit for POIs when getting combined POI categories
limit = 30, radius = 2000, }) {
    var _a;
    const { client } = useLocalLogic();
    const options = {
        lat,
        lng,
        limit,
        radius,
        include,
    };
    return useQuery({
        queryKey: poisKeys.list(options),
        queryFn: () => __awaiter(this, void 0, void 0, function* () { return client.getPois(options); }),
        staleTime: Infinity,
        enabled: !!options && !!((_a = options.include) === null || _a === void 0 ? void 0 : _a.length) && !!options.lat && !!options.lng,
    });
}
//# sourceMappingURL=usePois.js.map