var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useQuery } from "@tanstack/react-query";
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { profilesKeys } from "~/features/profiles";
export function useProfiles({ location, geogID, externalId }) {
    const { client } = useLocalLogic();
    const fetchProfiles = () => __awaiter(this, void 0, void 0, function* () {
        const response = yield client.getProfiles(Object.assign(Object.assign({}, (geogID
            ? {
                geogId: geogID,
            }
            : {
                lat: location.lat,
                lng: location.lng,
            })), { externalId }));
        return response;
    });
    return useQuery({
        queryKey: profilesKeys.list(location),
        queryFn: fetchProfiles,
        enabled: (!!location && !!location.lat && !!location.lng) || !!geogID,
    });
}
//# sourceMappingURL=useProfiles.js.map