var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useQuery } from "@tanstack/react-query";
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { propertyValueDriversKeys } from "../propertyValueDrivers/keyFactory";
export function usePropertyValueDrivers({ geogID, limit, }) {
    const { client } = useLocalLogic();
    const fetchPropertyValueDrivers = () => __awaiter(this, void 0, void 0, function* () {
        const response = yield client.getPropertyValueDrivers({
            geogId: geogID,
            limit,
        });
        return response.value_drivers;
    });
    return useQuery({
        queryKey: propertyValueDriversKeys.list({ geogId: geogID }),
        queryFn: fetchPropertyValueDrivers,
        enabled: !!geogID,
    });
}
//# sourceMappingURL=usePropertyValueDrivers.js.map