var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useQuery } from "@tanstack/react-query";
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { scoresKeys } from "~/features/scores";
export function useScores({ include, location, geographyId, }) {
    const { client } = useLocalLogic();
    const options = {
        locationScoresRounding: false,
        include,
    };
    if (geographyId) {
        options.geographyIds = [geographyId];
    }
    else {
        options.lat = location.lat;
        options.lng = location.lng;
        options.geographyLevels = ["20", "30"];
    }
    return useQuery({
        queryKey: scoresKeys.list(options),
        queryFn: () => __awaiter(this, void 0, void 0, function* () { return client.getScores(options); }),
        staleTime: Infinity,
        enabled: (!!(location === null || location === void 0 ? void 0 : location.lat) && !!(location === null || location === void 0 ? void 0 : location.lng)) || !!geographyId,
    });
}
//# sourceMappingURL=useScores.js.map