export interface Suggestion {
    label: string;
    language: string;
    countryCode: string;
    locationId: string;
    address: {
        description?: string;
        country?: string;
        state?: string;
        city?: string;
        postalCode?: string;
        county?: string;
        street?: string;
        houseNumber?: string | undefined;
        coordinates?: {
            latitude: number;
            longitude: number;
        };
    };
}
export interface SuggestionsResponse {
    suggestions: Suggestion[];
}
export interface MapboxSuggestion {
    type: string;
    geometry: {
        coordinates: number[];
        type: string;
    };
    properties: {
        name: string;
        mapbox_id: string;
        feature_type: string;
        address?: string;
        full_address?: string;
        place_formatted: string;
        context: {
            country?: {
                name?: string;
                country_code?: string;
                country_code_alpha_3?: string;
            };
            region?: {
                name?: string;
                region_code?: string;
                region_code_full?: string;
            };
            postcode?: {
                id?: string;
                name?: string;
            };
            district?: {
                id?: string;
                name?: string;
            };
            place?: {
                id?: string;
                name?: string;
            };
            neighborhood?: {
                id?: string;
                name?: string;
            };
            address?: {
                id?: string;
                name?: string;
                address_number?: string;
                street_name?: string;
            };
            street?: {
                id?: string;
                name?: string;
            };
        };
        coordinates: {
            latitude: number;
            longitude: number;
            accuracy: string;
        };
        language: string;
    };
}
export interface MapboxSuggestionsResponse {
    type: string;
    features: MapboxSuggestion[];
    attribution?: string;
}
export interface GoogleSuggestion {
    description: string;
    matchedSubstrings: google.maps.places.PredictionSubstring[];
    placeId: string;
    structuredFormatting: google.maps.places.StructuredFormatting;
    terms: google.maps.places.PredictionTerm[];
    types: string[];
    distanceMeters?: number;
}
export interface GoogleSuggestionsResponse {
    predictions: GoogleSuggestion[];
}
//# sourceMappingURL=types.d.ts.map