var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useQuery } from "@tanstack/react-query";
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { demographicsKeys, } from "~/features/demographics";
export function useDemographicsData({ lat, lng, geographyId }) {
    const { client } = useLocalLogic();
    const options = {};
    if (geographyId) {
        options.geographyId = geographyId;
    }
    else {
        options.lat = lat || NaN;
        options.lng = lng || NaN;
    }
    return useQuery({
        queryKey: demographicsKeys.list(options),
        queryFn: () => __awaiter(this, void 0, void 0, function* () { return client.getDemographics(options); }),
        enabled: !!geographyId || (!!lat && !!lng),
    });
}
//# sourceMappingURL=useDemographicsData.js.map