import { useState, useLayoutEffect } from "react";
import { baseStyles } from "@local-logic/core/ui";
import debounce from "lodash.debounce";
const useIsMobile = () => {
    const [isMobile, setIsMobile] = useState(false);
    useLayoutEffect(() => {
        const updateSize = () => {
            setIsMobile(window.innerWidth < baseStyles.screenSizes.tablet);
        };
        window.addEventListener("resize", debounce(updateSize, 250));
        updateSize();
        return () => window.removeEventListener("resize", updateSize);
    }, []);
    return isMobile;
};
export default useIsMobile;
//# sourceMappingURL=useIsMobile.js.map