var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { useQuery } from "@tanstack/react-query";
import { useMemo } from "react";
import { locationsKeys } from "~/features/locations";
export function useLocation({ lat, lng }) {
    const { client } = useLocalLogic();
    const options = {
        lat: lat || NaN,
        lng: lng || NaN,
    };
    const { isLoading, data } = useQuery({
        queryKey: locationsKeys.list(options),
        queryFn: () => __awaiter(this, void 0, void 0, function* () { return client.getLocation(options); }),
        enabled: !!options,
    });
    const country = useMemo(() => {
        var _a;
        if (((_a = data === null || data === void 0 ? void 0 : data.country) === null || _a === void 0 ? void 0 : _a.toLowerCase()) === "united states") {
            return "USA";
        }
        return "CAN";
    }, [data]);
    return { isLoading, data: { country } };
}
//# sourceMappingURL=useLocation.js.map