var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useLocalLogic } from "~/context/LocalLogicProvider";
import { useQuery } from "@tanstack/react-query";
import { useFlags } from "launchdarkly-react-client-sdk";
import { schoolsKeys } from "~/features/schools";
export function useSchools({ lat, lng, include, radius = 2000, limit = 30, includeCatchments = false, }) {
    var _a;
    const flags = useFlags();
    const { client } = useLocalLogic();
    const options = {
        lat,
        lng,
        limit,
        attemptMinimum: flags.lcMinimumPoi ? 3 : undefined,
        radius,
        include,
        include_catchments: includeCatchments,
    };
    return useQuery({
        queryKey: schoolsKeys.list(options),
        queryFn: () => __awaiter(this, void 0, void 0, function* () { return client.getSchools(options); }),
        enabled: !!options && !!((_a = options.include) === null || _a === void 0 ? void 0 : _a.length) && !!options.lat && !!options.lng,
    });
}
//# sourceMappingURL=useSchools.js.map