/**
 * Some keys have underscores because values come from API
 *
 * POIs:
 * - From Schools POIs
 * -- high_schools & primary_schools
 *
 * - From Enhanced POIs
 * -- alcohol, clothing, common_needs, conference_centers, entertainment, hospitals, libraries, pharmacies, retail, shops_and_services
 */
declare const namespace: {
    readonly attribution: "Powered by";
    readonly time: {
        readonly minute_one: "Minute";
        readonly minute_other: "Minutes";
        readonly hour_one: "Hour";
        readonly hour_other: "Hours";
    };
    readonly distance: {
        readonly meter: "m";
        readonly kilometer: "km";
        readonly yard: "yd";
        readonly mile: "mi";
    };
    readonly language: {
        readonly english: "English";
        readonly french: "French";
        readonly spanish: "Spanish";
    };
    readonly map: {
        readonly marker: {
            readonly schoolAttributes: {
                readonly levels: "Level";
                readonly grades: "Grades";
                readonly languages: "Languages";
                readonly types: "Type";
                readonly board: "Board";
                readonly programs: "Programs";
            };
            readonly schoolCta: "Link to school";
            readonly district: "District";
        };
    };
    readonly scores: {
        readonly cafes: {
            readonly title: "Cafes";
            readonly titleDeprecated: "Cafes";
            readonly description: "A measure of the quantity of nearby coffee shops.";
        };
        readonly car_friendly: {
            readonly title: "Car friendly";
            readonly titleDeprecated: "Driving";
            readonly description: "Represents how well traffic flows, and how easy it is to park.";
        };
        readonly cycling_friendly: {
            readonly title: "Cycling friendly";
            readonly titleDeprecated: "Cycling";
            readonly description: "Represents how suitable the area is for cycling in terms of nearby bicycle infrastructure and calm streets, as well as the number of destinations that can be reached by bicycle.";
        };
        readonly daycares: {
            readonly title: "Daycares";
            readonly titleDeprecated: "Day care";
            readonly description: "Represents the distance to the nearest daycare.";
        };
        readonly greenery: {
            readonly title: "Greenery";
            readonly titleDeprecated: "Greenery";
            readonly description: "Quantity of nearby green spaces and tree canopy coverage.";
        };
        readonly groceries: {
            readonly title: "Groceries";
            readonly titleDeprecated: "Grocery";
            readonly description: "A measure of the quantity of nearby grocery stores.";
        };
        readonly high_schools: {
            readonly title: "High schools";
            readonly titleDeprecated: "High schools";
            readonly description: "Represents the distance to nearest high school.";
        };
        readonly historic: {
            readonly title: "Historic";
            readonly titleDeprecated: "Historic";
            readonly description: "A measure of the quantity and size of heritage buildings, and the average building age in the area.";
        };
        readonly nightlife: {
            readonly title: "Nightlife";
            readonly titleDeprecated: "Night life";
            readonly description: "Represents the quantity of bars nearby.";
        };
        readonly parks: {
            readonly title: "Parks";
            readonly titleDeprecated: "Parks";
            readonly description: "A measure of the quantity and size of nearby parks.";
        };
        readonly pedestrian_friendly: {
            readonly title: "Pedestrian friendly";
            readonly titleDeprecated: "Walking";
            readonly description: "A measure of how many basic services can be reached on foot and how pleasant it is to walk to them.";
        };
        readonly primary_schools: {
            readonly title: "Primary schools";
            readonly titleDeprecated: "Primary schools";
            readonly description: "A measure of the distance to the nearest elementary school.";
        };
        readonly quiet: {
            readonly title: "Quiet";
            readonly titleDeprecated: "Quiet";
            readonly description: "A measure of the average levels of noise nearby.";
        };
        readonly restaurants: {
            readonly title: "Restaurants";
            readonly titleDeprecated: "Restaurants";
            readonly description: "Represents the quantity of restaurants nearby.";
        };
        readonly shopping: {
            readonly title: "Shopping";
            readonly titleDeprecated: "Shopping";
            readonly description: "A measure of the quantity of fashion and department stores nearby.";
        };
        readonly transit_friendly: {
            readonly title: "Transit friendly";
            readonly titleDeprecated: "Transit";
            readonly description: "A measure of the frequency and level of public transit service.";
        };
        readonly vibrant: {
            readonly title: "Vibrancy";
            readonly titleDeprecated: "Vibrancy";
            readonly description: "Represents the level of street activity nearby.";
        };
        readonly wellness: {
            readonly title: "Wellness";
            readonly titleDeprecated: "Wellness";
            readonly description: "Represents how conducive a location is to individuals' well-being.";
        };
    };
    readonly pois: {
        readonly groceries: "Grocery";
        readonly groceries_specialized: "Speciality";
        readonly shopping: "Shopping";
        readonly nightlife: "Nightlife";
        readonly restaurants: "Restaurants";
        readonly cafes: "Coffee shops";
        readonly daycares: "Daycares";
        readonly bus_stops: "Bus";
        readonly rapid_transit_stations: "Rapid transit";
        readonly train_stations: "Train";
        readonly parks: "Parks";
        readonly healthy_restaurants: "Healthy restaurants";
        readonly fitness: "Fitness";
        readonly sport_facilities: "Sport facilities";
        readonly health_care: "Health care";
        readonly pet_care: "Pet care";
        readonly car_fueling_stations: "Gas stations";
        readonly art_culture_science: "Art, Culture, Science";
        readonly home_improvement: "Home improvement";
        readonly personal_care: "Personal care";
        readonly high_schools: "High schools";
        readonly primary_schools: "Primary schools";
        readonly alcohol: "Alcohol";
        readonly clothing: "Clothing";
        readonly common_needs: "Common needs";
        readonly conference_centers: "Conference centers";
        readonly entertainment: "Entertainment";
        readonly hospitals: "Hospitals";
        readonly libraries: "Libraries";
        readonly pharmacies: "Pharmacies";
        readonly retail: "Retail";
        readonly shops_and_services: "Shops and services";
    };
    readonly valueDrivers: {
        readonly bus_service_access: "Bus services";
        readonly shops_and_services_access: "Shops and Services";
        readonly coffee_shop_access: "Coffee shops";
        readonly clothing_and_accessory_store_access: "Clothing stores";
        readonly common_needs_access: "Common necessities";
        readonly department_store_access: "Department stores";
        readonly entertainment_venue_access: "Entertainment venues";
        readonly fitness_establishment_access: "Fitness";
        readonly nightlife_access: "Nightlife";
        readonly pedestrian_oriented_street_access: "Walkable streets";
        readonly rapid_transit_service_access: "Rapid transit service";
        readonly restaurant_access: "Restaurants";
        readonly specialty_grocery_store_access: "Specialty groceries";
        readonly sports_facility_access: "Sport facilities";
        readonly train_service_access: "Train stations";
        readonly nearest_highway_proximity: "Highway access";
        readonly nearest_pharmacy_proximity: "Nearby pharmacies";
        readonly nearest_bicycle_share_station_proximity: "Nearby bikeshare stations";
        readonly bicycle_path_access: "Bike path access";
        readonly bicycle_share_station_access: "Bike share";
        readonly nearest_park_area: "Nearby large park";
        readonly bicycle_infrastructure_quality: "Bike infrastructure";
        readonly high_schools: "High schools";
        readonly primary_schools: "Elementary schools";
        readonly quiet: "Quiet";
        readonly daycares: "Daycares";
        readonly parks: "Parks";
    };
};
export default namespace;
//# sourceMappingURL=common.d.ts.map