declare const namespace: {
    readonly title: "Neighborhood Demographics";
    readonly note: "Displaying demographics statistics for the current neighborhood.";
    readonly noData: "No demographic information is available for this specific location.";
    readonly data: {
        readonly income: {
            readonly title: "Income";
            readonly graphs: {
                readonly averageIncome: {
                    readonly title: "Average Income";
                    readonly types: {
                        readonly avg_household_income: "Family";
                        readonly avg_individual_income: "Individual";
                    };
                };
                readonly employment: {
                    readonly title: "Employment";
                };
                readonly incomeBrackets: {
                    readonly title: "Income Brackets";
                };
            };
        };
        readonly population: {
            readonly title: "Population";
            readonly graphs: {
                readonly totalPopulation: {
                    readonly title: "Total Population";
                };
                readonly populationByAgeGroup: {
                    readonly title: "Population By Age Group";
                };
            };
        };
        readonly housing: {
            readonly title: "Housing";
            readonly graphs: {
                readonly homeOwnershipType: {
                    readonly title: "Owners vs Renters";
                };
                readonly typeOfHousing: {
                    readonly title: "Type of Housing";
                };
            };
        };
        readonly household: {
            readonly title: "Household";
            readonly graphs: {
                readonly householdComposition: {
                    readonly title: "Household Composition";
                };
            };
        };
        readonly education: {
            readonly title: "Education";
            readonly graphs: {
                readonly educationLevel: {
                    readonly title: "Highest Level Of Education Achieved";
                };
            };
        };
        readonly commute: {
            readonly title: "Commute";
            readonly graphs: {
                readonly commuteMode: {
                    readonly title: "Commute Mode";
                };
            };
        };
        readonly languages: {
            readonly title: "Languages";
            readonly graphs: {
                readonly spokenLanguages: {
                    readonly title: "Spoken Official Languages";
                };
                readonly motherTongue: {
                    readonly title: "Mother Tongue";
                };
            };
        };
    };
};
export default namespace;
//# sourceMappingURL=neighborhoodDemographics.d.ts.map