declare const namespace: {
    readonly title: "Property value drivers";
    readonly description: "These characteristics most positively impact the values of homes in this neighborhood.";
    readonly noData: "Discover characteristics that influence home prices; this list details the factors that positively affect property values in a neighborhood.";
    readonly valueDrivers: {
        readonly bus_service_access: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Having bus services enhances neighborhood connectivity and accessibility, making it more attractive to commuters and increasing the overall desirability of the neighborhood.";
            };
        };
        readonly shops_and_services_access: {
            readonly tag: {
                readonly high: "Many nearby";
            };
            readonly qualifier: {
                readonly high: "Having plenty of nearby shops and services that are easily accessible can increase the overall desirability of a neighborhood.";
            };
        };
        readonly coffee_shop_access: {
            readonly tag: {
                readonly high: "Many nearby";
            };
            readonly qualifier: {
                readonly high: "Nearby and easily accessible coffee shops can create a welcoming environment and a more desirable neighborhood.";
            };
        };
        readonly clothing_and_accessory_store_access: {
            readonly tag: {
                readonly high: "Many nearby";
            };
            readonly qualifier: {
                readonly high: "Many nearby clothing and accessory stores which are easily accessible can increase the overall desirability of a neighborhood.";
            };
        };
        readonly common_needs_access: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Easy access to basic amenities such as hardware stores, post offices, and convenience stores can improve the accessibility of services in a neighborhood.";
            };
        };
        readonly department_store_access: {
            readonly tag: {
                readonly high: "Many nearby";
            };
            readonly qualifier: {
                readonly high: "Nearby department stores that are easily accessible can increase the overall desirability of a neighborhood.";
            };
        };
        readonly entertainment_venue_access: {
            readonly tag: {
                readonly high: "Many nearby";
            };
            readonly qualifier: {
                readonly high: "Easily accessible entertainment venues can indicate a more vibrant and desirable neighborhood.";
            };
        };
        readonly fitness_establishment_access: {
            readonly tag: {
                readonly high: "Many nearby";
            };
            readonly qualifier: {
                readonly high: "Easily accessible fitness establishments such as gyms, yoga studios, and pools can create a more desirable neighborhood.";
            };
        };
        readonly nightlife_access: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Easy access to local centers of nightlife, such as bars, pubs, and comedy clubs, can indicate a more vibrant neighborhood.";
            };
        };
        readonly pedestrian_oriented_street_access: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Easily accessible commercial streets designed to be pedestrian-friendly can create a more desirable neighborhood.";
            };
        };
        readonly rapid_transit_service_access: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Nearby rapid transit stations with frequent service can indicate a more accessible neighborhood.";
            };
        };
        readonly restaurant_access: {
            readonly tag: {
                readonly high: "Many nearby";
            };
            readonly qualifier: {
                readonly high: "Easily accessible and nearby restaurants can create a more desirable neighborhood.";
            };
        };
        readonly specialty_grocery_store_access: {
            readonly tag: {
                readonly high: "Many nearby";
            };
            readonly qualifier: {
                readonly high: "Nearby specialty grocery stores can indicate a more desirable neighborhood.";
            };
        };
        readonly sports_facility_access: {
            readonly tag: {
                readonly high: "Many nearby";
            };
            readonly qualifier: {
                readonly high: "Nearby sports facilities such as soccer fields, running tracks, and ice rinks can create a more desirable neighborhood.";
            };
        };
        readonly train_service_access: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Nearby train stations with frequent service can indicate a more accessible neighborhood.";
            };
        };
        readonly nearest_highway_proximity: {
            readonly tag: {
                readonly high: "Great access";
                readonly low: "Low density";
            };
            readonly qualifier: {
                readonly high: "Easy access to major highways can create a more accessible neighborhood.";
                readonly low: "Few major highways nearby can create a quieter and more desirable neighborhood.";
            };
        };
        readonly nearest_pharmacy_proximity: {
            readonly tag: {
                readonly high: "Available close";
            };
            readonly qualifier: {
                readonly high: "Easy access to a nearby pharmacy can indicate a more accessible neighborhood.";
            };
        };
        readonly nearest_bicycle_share_station_proximity: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Nearby bicycle-sharing stations can lead to a more accessible neighborhood.";
            };
        };
        readonly bicycle_path_access: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Easily accessible bicycle paths can create a more accessible and desirable neighborhood.";
            };
        };
        readonly bicycle_share_station_access: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Nearby bicycle-sharing stations can lead to a more accessible neighborhood.";
            };
        };
        readonly nearest_park_area: {
            readonly tag: {
                readonly high: "Available close";
            };
            readonly qualifier: {
                readonly high: "Large nearby parks can create a more desirable neighborhood environment.";
            };
        };
        readonly bicycle_infrastructure_quality: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "High-quality bicycle infrastructure can create a more accessible neighborhood.";
            };
        };
        readonly high_schools: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Easy access to nearby schools can create a more desirable neighborhood.";
            };
        };
        readonly primary_schools: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Easy access to nearby schools can create a more desirable neighborhood.";
            };
        };
        readonly quiet: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Few sources of nearby noise can create a more desirable neighborhood.";
            };
        };
        readonly daycares: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Easy access to nearby childcare can create a more desirable neighborhood.";
            };
        };
        readonly parks: {
            readonly tag: {
                readonly high: "Great access";
            };
            readonly qualifier: {
                readonly high: "Plenty of nearby parks can create a more desirable neighborhood environment.";
            };
        };
    };
};
export default namespace;
//# sourceMappingURL=neighborhoodPropertyValueDrivers.d.ts.map