/**
 * Some keys have underscores because values come from API
 *
 * POIs:
 * - From Schools POIs
 * -- high_schools & primary_schools
 *
 * - From Enhanced POIs
 * -- alcohol, clothing, common_needs, conference_centers, entertainment, hospitals, libraries, pharmacies, retail, shops_and_services
 */
declare const namespace: {
    readonly attribution: "Propulsé par";
    readonly time: {
        readonly minute_one: "Minute";
        readonly minute_other: "Minutes";
        readonly hour_one: "Heure";
        readonly hour_other: "Heures";
    };
    readonly distance: {
        readonly meter: "m";
        readonly kilometer: "km";
        readonly yard: "vg";
        readonly mile: "mil";
    };
    readonly language: {
        readonly english: "Anglais";
        readonly french: "Français";
        readonly spanish: "Espagnol";
    };
    readonly map: {
        readonly marker: {
            readonly schoolAttributes: {
                readonly levels: "Niveau";
                readonly grades: "Notes";
                readonly languages: "Langues";
                readonly types: "Type";
                readonly board: "Commission";
                readonly programs: "Programmes";
            };
            readonly schoolCta: "Lien vers l'école";
            readonly district: "Commission";
        };
    };
    readonly scores: {
        readonly cafes: {
            readonly title: "Cafés";
            readonly titleDeprecated: "Cafés";
            readonly description: "Une mesure de la quantité et de la diversité des cafés à proximité.";
        };
        readonly car_friendly: {
            readonly title: "Adapté aux voitures";
            readonly titleDeprecated: "Voiture";
            readonly description: "Représente la fluidité de la circulation et la facilité de stationnement.";
        };
        readonly cycling_friendly: {
            readonly title: "Adapté aux cyclistes";
            readonly titleDeprecated: "Vélo";
            readonly description: "Représente à quel point la zone est adaptée au cyclisme en termes d'infrastructures cyclables à proximité et de rues calmes, ainsi que le nombre de destinations pouvant être atteintes à vélo.";
        };
        readonly daycares: {
            readonly title: "Garderies";
            readonly titleDeprecated: "Garderies";
            readonly description: "Représente la distance jusqu'à la garderie la plus proche.";
        };
        readonly greenery: {
            readonly title: "Verdure";
            readonly titleDeprecated: "Verdure";
            readonly description: "Quantité d'espaces verts à proximité et couverture de la canopée des arbres.";
        };
        readonly groceries: {
            readonly title: "Épiceries";
            readonly titleDeprecated: "Épiceries";
            readonly description: "Une mesure de la quantité d'épiceries à proximité.";
        };
        readonly high_schools: {
            readonly title: "Écoles secondaires";
            readonly titleDeprecated: "Écoles secondaires";
            readonly description: "Représente la distance jusqu'à l'école secondaire la plus proche.";
        };
        readonly historic: {
            readonly title: "Historique";
            readonly titleDeprecated: "Historique";
            readonly description: "Une mesure de la quantité et de la taille des bâtiments patrimoniaux, et de l'âge moyen des bâtiments dans la région.";
        };
        readonly nightlife: {
            readonly title: "Vie nocturne";
            readonly titleDeprecated: "Vie nocturne";
            readonly description: "Représente la quantité et la diversité des bars à proximité.";
        };
        readonly parks: {
            readonly title: "Parcs";
            readonly titleDeprecated: "Parcs";
            readonly description: "Une mesure de la quantité et de la taille des parcs à proximité.";
        };
        readonly pedestrian_friendly: {
            readonly title: "Adapté aux piétons";
            readonly titleDeprecated: "Marche";
            readonly description: "Une mesure de la proximité des services de base et du niveau de convivialité d'y aller à pied.";
        };
        readonly primary_schools: {
            readonly title: "Écoles primaires";
            readonly titleDeprecated: "Écoles primaires";
            readonly description: "Une mesure de la distance jusqu'à l'école primaire la plus proche.";
        };
        readonly quiet: {
            readonly title: "Silencieux";
            readonly titleDeprecated: "Silencieux";
            readonly description: "Une mesure des niveaux moyens de bruit à proximité.";
        };
        readonly restaurants: {
            readonly title: "Restaurants";
            readonly titleDeprecated: "Restaurants";
            readonly description: "Représente la quantité et la diversité des restaurants à proximité.";
        };
        readonly shopping: {
            readonly title: "Magasins";
            readonly titleDeprecated: "Magasins";
            readonly description: "Une mesure de la quantité et de la diversité de magasins de mode et de grands magasins à proximité.";
        };
        readonly transit_friendly: {
            readonly title: "Transport public";
            readonly titleDeprecated: "Transport public";
            readonly description: "Une mesure de la fréquence et du niveau de service de transport en commun.";
        };
        readonly vibrant: {
            readonly title: "Dynamisme";
            readonly titleDeprecated: "Dynamisme";
            readonly description: "Représente le niveau d'activité de la rue à proximité.";
        };
        readonly wellness: {
            readonly title: "Bien-être";
            readonly titleDeprecated: "Bien-être";
            readonly description: "Représente à quel point un emplacement favorise le bien-être des individus.";
        };
    };
    readonly pois: {
        readonly groceries: "Générales";
        readonly groceries_specialized: "Spécialisées";
        readonly shopping: "Magasinage";
        readonly nightlife: "Vie nocturne";
        readonly restaurants: "Restaurants";
        readonly cafes: "Cafés";
        readonly daycares: "Garderies";
        readonly bus_stops: "Autobus";
        readonly rapid_transit_stations: "Métro";
        readonly train_stations: "Train";
        readonly parks: "Parcs";
        readonly healthy_restaurants: "Restaurants sains";
        readonly fitness: "Entraînement physique";
        readonly sport_facilities: "Installations sportives";
        readonly health_care: "Soins de santé";
        readonly pet_care: "Soins pour animaux";
        readonly car_fueling_stations: "Stations-service";
        readonly art_culture_science: "Art, culture, science";
        readonly home_improvement: "Magasin de rénovation";
        readonly personal_care: "Soins personnels";
        readonly high_schools: "Écoles secondaires";
        readonly primary_schools: "Écoles primaires";
        readonly alcohol: "Alcool";
        readonly clothing: "Vêtements";
        readonly common_needs: "Besoins quotidiens";
        readonly conference_centers: "Salles de conférence";
        readonly entertainment: "Divertissement";
        readonly hospitals: "Hôpitaux";
        readonly libraries: "Librairies";
        readonly pharmacies: "Pharmacies";
        readonly retail: "Magasins de détail";
        readonly shops_and_services: "Magasins et services";
    };
    readonly valueDrivers: {
        readonly bus_service_access: "Services d'autobus";
        readonly shops_and_services_access: "Magasins et services";
        readonly coffee_shop_access: "Cafés";
        readonly clothing_and_accessory_store_access: "Magasins de vêtements";
        readonly common_needs_access: "Nécessités communes";
        readonly department_store_access: "Grands magasins";
        readonly entertainment_venue_access: "Lieux de divertissement";
        readonly fitness_establishment_access: "Conditionnement physique";
        readonly nightlife_access: "Vie nocturne";
        readonly pedestrian_oriented_street_access: "Rues accessibles aux piétons";
        readonly rapid_transit_service_access: "Service de transport en commun rapide";
        readonly restaurant_access: "Restaurants";
        readonly specialty_grocery_store_access: "Épiceries spécialisées";
        readonly sports_facility_access: "Installations sportives";
        readonly train_service_access: "Gares";
        readonly nearest_highway_proximity: "Accès à l'autoroute";
        readonly nearest_pharmacy_proximity: "Pharmacies à proximité";
        readonly nearest_bicycle_share_station_proximity: "Stations de vélos en libre-service à proximité";
        readonly bicycle_path_access: "Stations de vélopartage à proximité";
        readonly bicycle_share_station_access: "Partage de vélo";
        readonly nearest_park_area: "Grand parc à proximité";
        readonly bicycle_infrastructure_quality: "Infrastructure pour vélos";
        readonly high_schools: "Écoles secondaires";
        readonly primary_schools: "Écoles primaires";
        readonly quiet: "Calme";
        readonly daycares: "Garderies";
        readonly parks: "Parcs";
    };
};
export default namespace;
//# sourceMappingURL=common.d.ts.map