declare const namespace: {
    readonly title: "Facteurs de valeur immobilière";
    readonly description: "Ces caractéristiques ont le plus d'impact positif sur les valeurs des maisons dans ce quartier.";
    readonly noData: "Découvrez les caractéristiques qui influencent les prix des maisons; cette liste détaille les facteurs qui affectent positivement les valeurs des propriétés dans un quartier.";
    readonly valueDrivers: {
        readonly bus_service_access: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "La présence de services d'autobus améliore la connectivité et l'accessibilité d'un quartier, le rendant plus attrayant pour les navetteurs et augmentant son attractivité globale.";
            };
        };
        readonly shops_and_services_access: {
            readonly tag: {
                readonly high: "Plusieurs à proximité";
            };
            readonly qualifier: {
                readonly high: "La présence de nombreux commerces de proximité facilement accessibles peut augmenter l'attractivité globale d'un quartier.";
            };
        };
        readonly coffee_shop_access: {
            readonly tag: {
                readonly high: "Plusieurs à proximité";
            };
            readonly qualifier: {
                readonly high: "La présence de cafés à proximité et facilement accessibles peut créer un environnement accueillant et un quartier plus attrayant.";
            };
        };
        readonly clothing_and_accessory_store_access: {
            readonly tag: {
                readonly high: "Plusieurs à proximité";
            };
            readonly qualifier: {
                readonly high: "La présence de nombreux magasins de vêtements et d'accessoires facilement accessibles à proximité peut accroître la désirabilité globale d'un quartier.";
            };
        };
        readonly common_needs_access: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "L'accès facile à des commodités de base comme les quincailleries, bureaux de poste et dépanneurs peut améliorer l'accessibilité des services dans un quartier.";
            };
        };
        readonly department_store_access: {
            readonly tag: {
                readonly high: "Plusieurs à proximité";
            };
            readonly qualifier: {
                readonly high: "La présence de grands magasins à proximité et facilement accessibles peut augmenter l'attractivité globale d'un quartier.";
            };
        };
        readonly entertainment_venue_access: {
            readonly tag: {
                readonly high: "Plusieurs à proximité";
            };
            readonly qualifier: {
                readonly high: "La présence de lieux de divertissement facilement accessibles peut être le signe d'un quartier plus vivant et plus attrayant.";
            };
        };
        readonly fitness_establishment_access: {
            readonly tag: {
                readonly high: "Plusieurs à proximité";
            };
            readonly qualifier: {
                readonly high: "La présence d'établissements de conditionnement physique facilement accessibles, tels que des gymnases, des studios de yoga et des piscines, peut rendre le quartier plus attrayant.";
            };
        };
        readonly nightlife_access: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "Un accès facile aux centres locaux de la vie nocturne, tels que les bars, les pubs et les clubs de comédie, peut être le signe d'un quartier plus dynamique.";
            };
        };
        readonly pedestrian_oriented_street_access: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "La présence de rues commerciales facilement accessibles, conçues pour être conviviales pour les piétons, peut créer un quartier plus attrayant.";
            };
        };
        readonly rapid_transit_service_access: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "La proximité de stations de transport en commun rapide à haute fréquence peut être le signe d'un quartier plus accessible.";
            };
        };
        readonly restaurant_access: {
            readonly tag: {
                readonly high: "Plusieurs à proximité";
            };
            readonly qualifier: {
                readonly high: "La présence de restaurants facilement accessibles et à proximité peut créer un quartier plus attrayant.";
            };
        };
        readonly specialty_grocery_store_access: {
            readonly tag: {
                readonly high: "Plusieurs à proximité";
            };
            readonly qualifier: {
                readonly high: "La présence d'épiceries spécialisées à proximité peut indiquer un quartier plus attrayant.";
            };
        };
        readonly sports_facility_access: {
            readonly tag: {
                readonly high: "Plusieurs à proximité";
            };
            readonly qualifier: {
                readonly high: "La proximité d'installations sportives telles que des terrains de football, des pistes de course et des patinoires peut rendre le quartier plus attrayant.";
            };
        };
        readonly train_service_access: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "La présence de gares à proximité qui ont un service fréquent peut indiquer un quartier plus accessible.";
            };
        };
        readonly nearest_highway_proximity: {
            readonly tag: {
                readonly high: "Excellent accès";
                readonly low: "Faible densité";
            };
            readonly qualifier: {
                readonly high: "Un accès facile aux grandes autoroutes peut créer un quartier plus accessible.";
                readonly low: "Peu d'autoroutes à proximité peut rendre le quartier plus calme et plus attrayant.";
            };
        };
        readonly nearest_pharmacy_proximity: {
            readonly tag: {
                readonly high: "Disponible à proximité";
            };
            readonly qualifier: {
                readonly high: "Un accès facile à une pharmacie à proximité peut indiquer un quartier plus accessible.";
            };
        };
        readonly nearest_bicycle_share_station_proximity: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "La présence de stations de vélopartage à proximité peut être le signe d'un quartier plus accessible.";
            };
        };
        readonly bicycle_path_access: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "La présence de pistes cyclables facilement accessibles peut être le signe d'un quartier plus accessible et plus attrayant.";
            };
        };
        readonly bicycle_share_station_access: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "La présence de stations de vélopartage à proximité peut être le signe d'un quartier plus accessible.";
            };
        };
        readonly nearest_park_area: {
            readonly tag: {
                readonly high: "Disponible à proximité";
            };
            readonly qualifier: {
                readonly high: "La présence de grands parcs à proximité peut être le signe d'un quartier plus attrayant.";
            };
        };
        readonly bicycle_infrastructure_quality: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "La présence d'une infrastructure de qualité pour les vélos peut être le signe d'un quartier plus accessible.";
            };
        };
        readonly high_schools: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "Un accès facile aux écoles à proximité peut rendre le quartier plus attrayant.";
            };
        };
        readonly primary_schools: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "Un accès facile aux écoles à proximité peut rendre le quartier plus attrayant.";
            };
        };
        readonly quiet: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "Le peu de sources de bruit à proximité peut rendre le  quartier plus attrayant.";
            };
        };
        readonly daycares: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "Un accès facile aux services de garde à proximité peut rendre le quartier plus attrayant.";
            };
        };
        readonly parks: {
            readonly tag: {
                readonly high: "Excellent accès";
            };
            readonly qualifier: {
                readonly high: "La présence de nombreux parcs à proximité peut rendre le quartier plus attrayant.";
            };
        };
    };
};
export default namespace;
//# sourceMappingURL=neighborhoodPropertyValueDrivers.d.ts.map