import i18n from "i18next";
export declare const resources: {
    common: {
        readonly attribution: "Powered by";
        readonly time: {
            readonly minute_one: "Minute";
            readonly minute_other: "Minutes";
            readonly hour_one: "Hour";
            readonly hour_other: "Hours";
        };
        readonly distance: {
            readonly meter: "m";
            readonly kilometer: "km";
            readonly yard: "yd";
            readonly mile: "mi";
        };
        readonly language: {
            readonly english: "English";
            readonly french: "French";
            readonly spanish: "Spanish";
        };
        readonly map: {
            readonly marker: {
                readonly schoolAttributes: {
                    readonly levels: "Level";
                    readonly grades: "Grades";
                    readonly languages: "Languages";
                    readonly types: "Type";
                    readonly board: "Board";
                    readonly programs: "Programs";
                };
                readonly schoolCta: "Link to school";
                readonly district: "District";
            };
        };
        readonly scores: {
            readonly cafes: {
                readonly title: "Cafes";
                readonly titleDeprecated: "Cafes";
                readonly description: "A measure of the quantity of nearby coffee shops.";
            };
            readonly car_friendly: {
                readonly title: "Car friendly";
                readonly titleDeprecated: "Driving";
                readonly description: "Represents how well traffic flows, and how easy it is to park.";
            };
            readonly cycling_friendly: {
                readonly title: "Cycling friendly";
                readonly titleDeprecated: "Cycling";
                readonly description: "Represents how suitable the area is for cycling in terms of nearby bicycle infrastructure and calm streets, as well as the number of destinations that can be reached by bicycle.";
            };
            readonly daycares: {
                readonly title: "Daycares";
                readonly titleDeprecated: "Day care";
                readonly description: "Represents the distance to the nearest daycare.";
            };
            readonly greenery: {
                readonly title: "Greenery";
                readonly titleDeprecated: "Greenery";
                readonly description: "Quantity of nearby green spaces and tree canopy coverage.";
            };
            readonly groceries: {
                readonly title: "Groceries";
                readonly titleDeprecated: "Grocery";
                readonly description: "A measure of the quantity of nearby grocery stores.";
            };
            readonly high_schools: {
                readonly title: "High schools";
                readonly titleDeprecated: "High schools";
                readonly description: "Represents the distance to nearest high school.";
            };
            readonly historic: {
                readonly title: "Historic";
                readonly titleDeprecated: "Historic";
                readonly description: "A measure of the quantity and size of heritage buildings, and the average building age in the area.";
            };
            readonly nightlife: {
                readonly title: "Nightlife";
                readonly titleDeprecated: "Night life";
                readonly description: "Represents the quantity of bars nearby.";
            };
            readonly parks: {
                readonly title: "Parks";
                readonly titleDeprecated: "Parks";
                readonly description: "A measure of the quantity and size of nearby parks.";
            };
            readonly pedestrian_friendly: {
                readonly title: "Pedestrian friendly";
                readonly titleDeprecated: "Walking";
                readonly description: "A measure of how many basic services can be reached on foot and how pleasant it is to walk to them.";
            };
            readonly primary_schools: {
                readonly title: "Primary schools";
                readonly titleDeprecated: "Primary schools";
                readonly description: "A measure of the distance to the nearest elementary school.";
            };
            readonly quiet: {
                readonly title: "Quiet";
                readonly titleDeprecated: "Quiet";
                readonly description: "A measure of the average levels of noise nearby.";
            };
            readonly restaurants: {
                readonly title: "Restaurants";
                readonly titleDeprecated: "Restaurants";
                readonly description: "Represents the quantity of restaurants nearby.";
            };
            readonly shopping: {
                readonly title: "Shopping";
                readonly titleDeprecated: "Shopping";
                readonly description: "A measure of the quantity of fashion and department stores nearby.";
            };
            readonly transit_friendly: {
                readonly title: "Transit friendly";
                readonly titleDeprecated: "Transit";
                readonly description: "A measure of the frequency and level of public transit service.";
            };
            readonly vibrant: {
                readonly title: "Vibrancy";
                readonly titleDeprecated: "Vibrancy";
                readonly description: "Represents the level of street activity nearby.";
            };
            readonly wellness: {
                readonly title: "Wellness";
                readonly titleDeprecated: "Wellness";
                readonly description: "Represents how conducive a location is to individuals' well-being.";
            };
        };
        readonly pois: {
            readonly groceries: "Grocery";
            readonly groceries_specialized: "Speciality";
            readonly shopping: "Shopping";
            readonly nightlife: "Nightlife";
            readonly restaurants: "Restaurants";
            readonly cafes: "Coffee shops";
            readonly daycares: "Daycares";
            readonly bus_stops: "Bus";
            readonly rapid_transit_stations: "Rapid transit";
            readonly train_stations: "Train";
            readonly parks: "Parks";
            readonly healthy_restaurants: "Healthy restaurants";
            readonly fitness: "Fitness";
            readonly sport_facilities: "Sport facilities";
            readonly health_care: "Health care";
            readonly pet_care: "Pet care";
            readonly car_fueling_stations: "Gas stations";
            readonly art_culture_science: "Art, Culture, Science";
            readonly home_improvement: "Home improvement";
            readonly personal_care: "Personal care";
            readonly high_schools: "High schools";
            readonly primary_schools: "Primary schools";
            readonly alcohol: "Alcohol";
            readonly clothing: "Clothing";
            readonly common_needs: "Common needs";
            readonly conference_centers: "Conference centers";
            readonly entertainment: "Entertainment";
            readonly hospitals: "Hospitals";
            readonly libraries: "Libraries";
            readonly pharmacies: "Pharmacies";
            readonly retail: "Retail";
            readonly shops_and_services: "Shops and services";
        };
        readonly valueDrivers: {
            readonly bus_service_access: "Bus services";
            readonly shops_and_services_access: "Shops and Services";
            readonly coffee_shop_access: "Coffee shops";
            readonly clothing_and_accessory_store_access: "Clothing stores";
            readonly common_needs_access: "Common necessities";
            readonly department_store_access: "Department stores";
            readonly entertainment_venue_access: "Entertainment venues";
            readonly fitness_establishment_access: "Fitness";
            readonly nightlife_access: "Nightlife";
            readonly pedestrian_oriented_street_access: "Walkable streets";
            readonly rapid_transit_service_access: "Rapid transit service";
            readonly restaurant_access: "Restaurants";
            readonly specialty_grocery_store_access: "Specialty groceries";
            readonly sports_facility_access: "Sport facilities";
            readonly train_service_access: "Train stations";
            readonly nearest_highway_proximity: "Highway access";
            readonly nearest_pharmacy_proximity: "Nearby pharmacies";
            readonly nearest_bicycle_share_station_proximity: "Nearby bikeshare stations";
            readonly bicycle_path_access: "Bike path access";
            readonly bicycle_share_station_access: "Bike share";
            readonly nearest_park_area: "Nearby large park";
            readonly bicycle_infrastructure_quality: "Bike infrastructure";
            readonly high_schools: "High schools";
            readonly primary_schools: "Elementary schools";
            readonly quiet: "Quiet";
            readonly daycares: "Daycares";
            readonly parks: "Parks";
        };
    };
    localContent: {
        readonly sidebar: {
            readonly header: {
                readonly title: "Local Content";
                readonly backAction: "Back to menu";
                readonly toggle: {
                    readonly ariaLabel: "Toggle sidebar";
                    readonly ariaLabel_open: "Open sidebar";
                    readonly ariaLabel_close: "Close sidebar";
                };
            };
        };
        readonly categoriesToggle: {
            readonly toggleLabel: "Categories";
            readonly backAction: "Back";
        };
        readonly categories: {
            readonly transport: "Transport";
            readonly amenities: "Amenities";
            readonly character: "Character";
            readonly nature: "Nature";
            readonly education: "Education";
            readonly wellness: "Wellness";
        };
        readonly scoreMetroComparison: {
            readonly text: "Comparable to the metro average of {{metroScoreValue}}";
            readonly text_higher: "Higher than the metro average of {{metroScoreValue}}";
            readonly text_lower: "Lower than the metro average of {{metroScoreValue}}";
        };
        readonly results: {
            readonly none: "Sorry, there are no score results for this search within the specified radius around the selected location";
            readonly limited: "Limited results for this search within a radius of";
        };
        readonly commuteCalculator: {
            readonly type: {
                readonly pedestrian: "Walking";
                readonly car: "Driving";
            };
            readonly placeholder: "Search map...";
            readonly cta: "Calculate commute";
            readonly ctaShort: "Calculate";
            readonly results: {
                readonly noRoute: "No route available.";
                readonly trySuggestion: "Try another query.";
                readonly fastestRoute: "Fastest route";
            };
        };
        readonly scores: {
            readonly location: "This Location";
            readonly average: "{{type}} Avg.";
            readonly city: "City";
            readonly neighborhood: "Neighborhood";
        };
        readonly tabs: {
            readonly commute: "Transport";
            readonly amenities: "Amenities";
            readonly character: "Character";
            readonly nature: "Nature";
            readonly education: "Education";
            readonly wellness: "Wellness";
        };
    };
    localDemographics: {
        readonly title: "Local Demographics";
        readonly note: "Displaying demographics statistics for area {{value}} {{unit}} around selected location.";
        readonly noData: "No demographic information is available for this specific location.";
        readonly data: {
            readonly income: {
                readonly title: "Income";
                readonly graphs: {
                    readonly averageIncome: {
                        readonly title: "Average Income";
                        readonly types: {
                            readonly avg_household_income: "Family";
                            readonly avg_individual_income: "Individual";
                        };
                    };
                    readonly employment: {
                        readonly title: "Employment";
                    };
                    readonly incomeBrackets: {
                        readonly title: "Income Brackets";
                    };
                };
            };
            readonly population: {
                readonly title: "Population";
                readonly graphs: {
                    readonly totalPopulation: {
                        readonly title: "Total Population";
                    };
                    readonly populationByAgeGroup: {
                        readonly title: "Population By Age Group";
                    };
                };
            };
            readonly housing: {
                readonly title: "Housing";
                readonly graphs: {
                    readonly homeOwnershipType: {
                        readonly title: "Owners vs Renters";
                    };
                    readonly typeOfHousing: {
                        readonly title: "Type of Housing";
                    };
                };
            };
            readonly household: {
                readonly title: "Household";
                readonly graphs: {
                    readonly householdComposition: {
                        readonly title: "Household Composition";
                    };
                };
            };
            readonly education: {
                readonly title: "Education";
                readonly graphs: {
                    readonly educationLevel: {
                        readonly title: "Highest Level Of Education Achieved";
                    };
                };
            };
            readonly commute: {
                readonly title: "Commute";
                readonly graphs: {
                    readonly commuteMode: {
                        readonly title: "Commute Mode";
                    };
                };
            };
            readonly languages: {
                readonly title: "Languages";
                readonly graphs: {
                    readonly spokenLanguages: {
                        readonly title: "Spoken Official Languages";
                    };
                    readonly motherTongue: {
                        readonly title: "Mother Tongue";
                    };
                };
            };
        };
    };
    neighborhoodCharacteristics: {
        readonly title: "Characteristics";
        readonly noData: "No information is available for this neighborhood yet. Stay tuned for updates as new neighborhoods are added.";
        readonly sections: {
            readonly transport: {
                readonly title: "Transportation";
            };
            readonly services: {
                readonly title: "Services";
            };
            readonly character: {
                readonly title: "Character";
            };
        };
    };
    neighborhoodDemographics: {
        readonly title: "Neighborhood Demographics";
        readonly note: "Displaying demographics statistics for the current neighborhood.";
        readonly noData: "No demographic information is available for this specific location.";
        readonly data: {
            readonly income: {
                readonly title: "Income";
                readonly graphs: {
                    readonly averageIncome: {
                        readonly title: "Average Income";
                        readonly types: {
                            readonly avg_household_income: "Family";
                            readonly avg_individual_income: "Individual";
                        };
                    };
                    readonly employment: {
                        readonly title: "Employment";
                    };
                    readonly incomeBrackets: {
                        readonly title: "Income Brackets";
                    };
                };
            };
            readonly population: {
                readonly title: "Population";
                readonly graphs: {
                    readonly totalPopulation: {
                        readonly title: "Total Population";
                    };
                    readonly populationByAgeGroup: {
                        readonly title: "Population By Age Group";
                    };
                };
            };
            readonly housing: {
                readonly title: "Housing";
                readonly graphs: {
                    readonly homeOwnershipType: {
                        readonly title: "Owners vs Renters";
                    };
                    readonly typeOfHousing: {
                        readonly title: "Type of Housing";
                    };
                };
            };
            readonly household: {
                readonly title: "Household";
                readonly graphs: {
                    readonly householdComposition: {
                        readonly title: "Household Composition";
                    };
                };
            };
            readonly education: {
                readonly title: "Education";
                readonly graphs: {
                    readonly educationLevel: {
                        readonly title: "Highest Level Of Education Achieved";
                    };
                };
            };
            readonly commute: {
                readonly title: "Commute";
                readonly graphs: {
                    readonly commuteMode: {
                        readonly title: "Commute Mode";
                    };
                };
            };
            readonly languages: {
                readonly title: "Languages";
                readonly graphs: {
                    readonly spokenLanguages: {
                        readonly title: "Spoken Official Languages";
                    };
                    readonly motherTongue: {
                        readonly title: "Mother Tongue";
                    };
                };
            };
        };
    };
    neighborhoodFeatured: {
        readonly title: "Featured Neighborhoods";
        readonly exploreMoreNeighborhoods: "EXPLORE MORE NEIGHBORHOODS";
        readonly noData: "You haven't added any featured and favorite neighborhoods to your list yet. Head over to the <bold><LinkToHub>Features & Favorites</LinkToHub></bold> section to select them.";
    };
    neighborhoodShowcase: {
        readonly title: "Neighborhood Showcase";
        readonly header: {
            readonly title: "Search Neighborhoods";
            readonly description: "Explore any neighborhood to find the location that’s right for you";
            readonly search: {
                readonly placeholder: "Search all neighborhoods";
                readonly results: {
                    readonly all: "All neighborhoods";
                    readonly featured: "Featured neighborhoods";
                };
            };
        };
        readonly noData: "You haven't added any neighborhoods to your list yet. Head over to the <bold><LinkToHub>My Neighborhoods</LinkToHub></bold> section to select them.";
    };
    neighborhoodHero: {
        readonly summaryTitle: "About the neighborhood";
    };
    neighborhoodHighlights: {
        readonly title: "Highlights";
        readonly noData: "Discover what this neighborhood has to offer in terms of transportation, services, and character.";
        readonly highlight: {
            readonly title: "This area is great for";
        };
    };
    neighborhoodMap: {
        readonly filters: {
            readonly radius: {
                readonly title: "Radius:";
                readonly value: "{{value}} {{unit}}";
            };
            readonly popup: {
                readonly title: "Filters";
                readonly description: "Please select one option";
                readonly cta: {
                    readonly reset: "Reset All";
                    readonly apply: "Apply Filter";
                };
            };
            readonly categories: {
                readonly schools: "Schools";
                readonly restaurants: "Restaurants";
                readonly groceries: "Groceries";
                readonly shopping: "Shopping";
                readonly nightlife: "Nightlife";
                readonly cafes: "Cafes";
                readonly daycares: "Daycares";
                readonly busStops: "Bus stops";
                readonly metroStations: "Metro stations";
                readonly trainStations: "Train stations";
                readonly parks: "Parks";
                readonly fitness: "Fitness";
                readonly medical: "Medical";
                readonly petCare: "Pet care";
                readonly fuelStations: "Car fueling stations";
                readonly activities: "Activities";
                readonly homeImprovement: "Home improvement";
                readonly personalCare: "Personal care";
            };
        };
    };
    neighborhoodMatch: {
        readonly title: "Similar neighborhoods";
        readonly description: "Discover neighborhoods similar to this neighborhood and see how they compare in terms of characteristics and amenities.";
        readonly descriptionWithNeighborhood: "Discover neighborhoods similar to {{neighborhoodName}} and see how they compare in terms of characteristics and amenities.";
        readonly noData: "Similar neighborhoods are not available for this location.";
        readonly tags: {
            readonly lessAffordable: "Less affordable";
            readonly comparable: "Comparable";
            readonly moreAffordable: "More affordable";
        };
        readonly pagination: {
            readonly previous: "Show less";
            readonly next: "Show more";
        };
    };
    neighborhoodPropertyValueDrivers: {
        readonly title: "Property value drivers";
        readonly description: "These characteristics most positively impact the values of homes in this neighborhood.";
        readonly noData: "Discover characteristics that influence home prices; this list details the factors that positively affect property values in a neighborhood.";
        readonly valueDrivers: {
            readonly bus_service_access: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Having bus services enhances neighborhood connectivity and accessibility, making it more attractive to commuters and increasing the overall desirability of the neighborhood.";
                };
            };
            readonly shops_and_services_access: {
                readonly tag: {
                    readonly high: "Many nearby";
                };
                readonly qualifier: {
                    readonly high: "Having plenty of nearby shops and services that are easily accessible can increase the overall desirability of a neighborhood.";
                };
            };
            readonly coffee_shop_access: {
                readonly tag: {
                    readonly high: "Many nearby";
                };
                readonly qualifier: {
                    readonly high: "Nearby and easily accessible coffee shops can create a welcoming environment and a more desirable neighborhood.";
                };
            };
            readonly clothing_and_accessory_store_access: {
                readonly tag: {
                    readonly high: "Many nearby";
                };
                readonly qualifier: {
                    readonly high: "Many nearby clothing and accessory stores which are easily accessible can increase the overall desirability of a neighborhood.";
                };
            };
            readonly common_needs_access: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Easy access to basic amenities such as hardware stores, post offices, and convenience stores can improve the accessibility of services in a neighborhood.";
                };
            };
            readonly department_store_access: {
                readonly tag: {
                    readonly high: "Many nearby";
                };
                readonly qualifier: {
                    readonly high: "Nearby department stores that are easily accessible can increase the overall desirability of a neighborhood.";
                };
            };
            readonly entertainment_venue_access: {
                readonly tag: {
                    readonly high: "Many nearby";
                };
                readonly qualifier: {
                    readonly high: "Easily accessible entertainment venues can indicate a more vibrant and desirable neighborhood.";
                };
            };
            readonly fitness_establishment_access: {
                readonly tag: {
                    readonly high: "Many nearby";
                };
                readonly qualifier: {
                    readonly high: "Easily accessible fitness establishments such as gyms, yoga studios, and pools can create a more desirable neighborhood.";
                };
            };
            readonly nightlife_access: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Easy access to local centers of nightlife, such as bars, pubs, and comedy clubs, can indicate a more vibrant neighborhood.";
                };
            };
            readonly pedestrian_oriented_street_access: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Easily accessible commercial streets designed to be pedestrian-friendly can create a more desirable neighborhood.";
                };
            };
            readonly rapid_transit_service_access: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Nearby rapid transit stations with frequent service can indicate a more accessible neighborhood.";
                };
            };
            readonly restaurant_access: {
                readonly tag: {
                    readonly high: "Many nearby";
                };
                readonly qualifier: {
                    readonly high: "Easily accessible and nearby restaurants can create a more desirable neighborhood.";
                };
            };
            readonly specialty_grocery_store_access: {
                readonly tag: {
                    readonly high: "Many nearby";
                };
                readonly qualifier: {
                    readonly high: "Nearby specialty grocery stores can indicate a more desirable neighborhood.";
                };
            };
            readonly sports_facility_access: {
                readonly tag: {
                    readonly high: "Many nearby";
                };
                readonly qualifier: {
                    readonly high: "Nearby sports facilities such as soccer fields, running tracks, and ice rinks can create a more desirable neighborhood.";
                };
            };
            readonly train_service_access: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Nearby train stations with frequent service can indicate a more accessible neighborhood.";
                };
            };
            readonly nearest_highway_proximity: {
                readonly tag: {
                    readonly high: "Great access";
                    readonly low: "Low density";
                };
                readonly qualifier: {
                    readonly high: "Easy access to major highways can create a more accessible neighborhood.";
                    readonly low: "Few major highways nearby can create a quieter and more desirable neighborhood.";
                };
            };
            readonly nearest_pharmacy_proximity: {
                readonly tag: {
                    readonly high: "Available close";
                };
                readonly qualifier: {
                    readonly high: "Easy access to a nearby pharmacy can indicate a more accessible neighborhood.";
                };
            };
            readonly nearest_bicycle_share_station_proximity: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Nearby bicycle-sharing stations can lead to a more accessible neighborhood.";
                };
            };
            readonly bicycle_path_access: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Easily accessible bicycle paths can create a more accessible and desirable neighborhood.";
                };
            };
            readonly bicycle_share_station_access: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Nearby bicycle-sharing stations can lead to a more accessible neighborhood.";
                };
            };
            readonly nearest_park_area: {
                readonly tag: {
                    readonly high: "Available close";
                };
                readonly qualifier: {
                    readonly high: "Large nearby parks can create a more desirable neighborhood environment.";
                };
            };
            readonly bicycle_infrastructure_quality: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "High-quality bicycle infrastructure can create a more accessible neighborhood.";
                };
            };
            readonly high_schools: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Easy access to nearby schools can create a more desirable neighborhood.";
                };
            };
            readonly primary_schools: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Easy access to nearby schools can create a more desirable neighborhood.";
                };
            };
            readonly quiet: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Few sources of nearby noise can create a more desirable neighborhood.";
                };
            };
            readonly daycares: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Easy access to nearby childcare can create a more desirable neighborhood.";
                };
            };
            readonly parks: {
                readonly tag: {
                    readonly high: "Great access";
                };
                readonly qualifier: {
                    readonly high: "Plenty of nearby parks can create a more desirable neighborhood environment.";
                };
            };
        };
    };
    neighborhoodMarketTrends: {
        readonly title: "Market trends";
        readonly noData: "Market trends are not available for this neighborhood at this time.";
        readonly disclaimer: {
            readonly header: "Market trend information is based on home transaction data for the previous 12 months and current listing data.";
            readonly footer: "Displaying neighborhood trend information for the selected neighborhood. Market Trend information is updated daily.";
        };
        readonly tabs: {
            readonly currentActivity: {
                readonly title: "Current activity";
            };
            readonly recentTrends: {
                readonly title: "Recent trends";
            };
            readonly marketConditions: {
                readonly title: "Market conditions";
            };
        };
        readonly marketIndicator: {
            readonly increase: "increase";
            readonly decrease: "decrease";
            readonly noMonthlyData: "{{fieldTitle}} is not available for this neighborhood for the last 30 days.";
        };
        readonly graphs: {
            readonly activeListings: {
                readonly title: "Number of active listings";
                readonly yAxisTitle: "Active listings";
            };
            readonly homesSold: {
                readonly title: "Homes sold";
                readonly disclaimer: "The number of residential homes sold over the past 12 months.";
                readonly changeDisclaimer: "The percent change in the number of homes sold over the previous 12 months.";
            };
            readonly housingMarketConditions: {
                readonly title: "Housing market conditions";
                readonly subtitle: "An indication of market conditions over time.";
                readonly marketTypes: {
                    readonly buyer: "Buyer's market";
                    readonly seller: "Seller's market";
                    readonly neutral: "Neutral market";
                };
            };
            readonly marketType: {
                readonly title: "Buyer/Seller market";
                readonly disclaimer: "Buyer/Seller market indicator is based on the ratio of recent homes sold to new listings.";
                readonly marketTypes: {
                    readonly buyer: "Buyer's market";
                    readonly seller: "Seller's market";
                    readonly neutral: "Neutral market";
                };
            };
            readonly medianAskingPrice: {
                readonly title: "Median asking price";
                readonly disclaimer: "The median asking price of residential homes over the past 30 days.";
                readonly changeDisclaimer: "The percent change in the median asking price over the previous 30 days.";
            };
            readonly medianConstructionYear: {
                readonly title: "The median construction year of homes sold in the past 12 months is ";
            };
            readonly medianDaysOnMarket: {
                readonly title: "Median days on market";
                readonly disclaimer: "The median ratio of sold price to asking price of residential homes over the past 30 days.";
                readonly changeDisclaimer: "The percent change in the median days on market over the previous 30 days.";
                readonly yAxisTitle: "Days on market";
            };
            readonly medianSalePrice: {
                readonly title: "Median sales price";
                readonly disclaimer: "The median sales price of residential properties over the past 12 months.";
                readonly changeDisclaimer: "The percent change in the median sales price over the previous 12 months.";
            };
            readonly medianSalePricePerSqft: {
                readonly title: "Median sales price per square foot";
                readonly disclaimer: "The median sales price per square foot of residential properties over the past 12 months.";
                readonly changeDisclaimer: "The percent change in the median sales price per square foot over the previous 12 months.";
            };
            readonly medianSaleVsAskingPrice: {
                readonly title: "Median sales vs. asking price of sold homes";
                readonly disclaimer: "The ratio of sales price to asking price of residential homes over the last 30 days.";
                readonly changeDisclaimer: "The percent change in the ratio of sales price to asking price over the previous 30 days.";
            };
        };
    };
    neighborhoodSchools: {
        readonly title: "Nearby schools";
        readonly noData: "There are no available schools nearby.";
        readonly noFilteredData: "There are no nearby schools that match your current filters.";
        readonly english: "English";
        readonly french: "French";
        readonly board: "School Board or District";
        readonly headers: {
            readonly name: "Name";
            readonly type: "Type";
            readonly languages: "Languages";
            readonly levels: "Levels";
            readonly location: "Location";
            readonly typesFilter: "All types";
            readonly levelsFilter: "All levels";
        };
        readonly dataDisclaimer: "Schools are selected for display based on their proximity to the location. Please contact the schools directly to verify attendance zones.";
    };
};
export default i18n;
//# sourceMappingURL=index.d.ts.map