import React, { useMemo } from "react";
import { useTranslation } from "react-i18next";
import { Train as TrainIcon, PencilRuler as PencilRulerIcon, ShoppingCart as ShoppingCartIcon, Confetti as ConfettiIcon, Plant as PlantIcon, FlowerLotus as FlowerLotusIcon, } from "@phosphor-icons/react";
import { ItemButton } from "~/sdks/LocalContent/components/ItemButton";
import { useRootElement } from "../context";
const categoryIcons = {
    transport: TrainIcon,
    education: PencilRulerIcon,
    amenities: ShoppingCartIcon,
    character: ConfettiIcon,
    nature: FlowerLotusIcon,
    wellness: PlantIcon,
};
export function Category({ categoryKey, backgroundColor, fillColor, }) {
    const { t } = useTranslation("localContent");
    const { onSelectCategory } = useRootElement();
    const Icon = useMemo(() => categoryIcons[categoryKey], [categoryKey]);
    return (React.createElement(ItemButton, { "data-testid": "categories-toggle-category", "data-category": categoryKey, text: t(`categories.${categoryKey}`), onClick: onSelectCategory ? onSelectCategory(categoryKey) : undefined, isDisabled: false, icon: {
            element: React.createElement(Icon, null),
            backgroundColor,
            fillColor,
        } }));
}
//# sourceMappingURL=index.js.map