import React, { useRef, useState, useEffect } from "react";
import { useOnEventOutside } from "~/hooks/useOnEventOutside";
import { useRootElement } from "../context";
import * as styles from "./styles";
export function Content({ children }) {
    const containerRef = useRef(null);
    const { activeCategory, isExpanded, onToggleIsExpanded } = useRootElement();
    const [canClose, setCanClose] = useState(!isExpanded);
    useEffect(() => {
        // Need to wait for the next render to ensure the state is updated
        setCanClose(isExpanded);
    }, [isExpanded]);
    const handleClickOutside = () => {
        if (canClose) {
            onToggleIsExpanded();
        }
    };
    useOnEventOutside(containerRef, "click", handleClickOutside);
    if (!isExpanded) {
        return null;
    }
    return (React.createElement("div", { className: styles.container, ref: containerRef, "data-testid": "categories-panel", "data-is-expanded": isExpanded, "data-is-slider-open": !!activeCategory }, children));
}
//# sourceMappingURL=index.js.map