import React from "react";
import { describe, it, expect, vi, beforeEach } from "vitest";
import { render, screen } from "@testing-library/react";
import { Content } from "./index";
vi.mock("react-i18next", () => ({
    useTranslation: () => ({
        t: (key) => key,
    }),
}));
describe("Content Component", () => {
    beforeEach(() => {
        vi.clearAllMocks();
    });
    it("renders metro score comparison", () => {
        const activeScoreData = { value: 5, metroValue: 5 };
        render(React.createElement(Content, { activeScoreData: activeScoreData }));
        expect(screen.getByTestId("score-metro-comparison")).toBeInTheDocument();
    });
    it("renders the score description", () => {
        const activeScoreData = { text: "Test Score Text" };
        render(React.createElement(Content, { activeScoreData: activeScoreData }));
        expect(screen.getByText("Test Score Text")).toBeInTheDocument();
    });
    it("renders empty text when activeScoreData is undefined", () => {
        render(React.createElement(Content, null));
        expect(screen.queryByTestId("score-description")).toBeNull();
    });
});
//# sourceMappingURL=index.test.js.map