import React from "react";
import { useTranslation } from "react-i18next";
import { CaretDown } from "@phosphor-icons/react";
import { ScoreIcon } from "~/components/ScoreIcon";
import { ColorIcon } from "~/sdks/LocalContent/components/ColorIcon";
import { ScoreValue } from "~/sdks/LocalContent/components/ScoreValue";
import * as styles from "./styles";
export function Header({ scoreKey, scoreValue, backgroundColor, fillColor, }) {
    const { t } = useTranslation(["common"]);
    return (React.createElement("div", { className: styles.container, "data-testid": "categories-toggle-score-header" },
        React.createElement(CaretDown, { className: styles.caret, weight: "bold" }),
        React.createElement("span", { className: styles.title },
            React.createElement(ColorIcon, { element: React.createElement(ScoreIcon, { score: scoreKey }), backgroundColor: backgroundColor, fillColor: fillColor }),
            React.createElement("span", { className: styles.text }, t(`common:scores.${scoreKey}.title`))),
        React.createElement(ScoreValue, { value: scoreValue })));
}
//# sourceMappingURL=index.js.map