import React from "react";
import { render, screen } from "@testing-library/react";
import { describe, it, expect, vi } from "vitest";
import { Header } from "./index";
// Mock dependencies
vi.mock("react-i18next", () => ({
    useTranslation: () => ({
        t: (key) => `translated:${key}`,
    }),
}));
describe("Header", () => {
    it("renders with required props", () => {
        render(React.createElement(Header, { scoreKey: "pedestrian_friendly", scoreValue: 10, backgroundColor: "#fff", fillColor: "#000" }));
        expect(screen.getByTestId("score-value")).toHaveTextContent("10 / 10");
        expect(screen.getByText("translated:common:scores.pedestrian_friendly.title")).toBeInTheDocument();
    });
    it("renders without optional props", () => {
        render(React.createElement(Header, { scoreKey: "transit_friendly" }));
        expect(screen.queryByTestId("score-value")).toBeNull();
        expect(screen.getByText("translated:common:scores.transit_friendly.title")).toBeInTheDocument();
    });
});
//# sourceMappingURL=index.test.js.map