import React from "react";
import { CategoryTitle } from "~/sdks/LocalContent/components/CategoryTitle";
import { Slider as SliderComponent } from "~/sdks/LocalContent/components/Slider";
import { CloseButton } from "./CloseButton";
import { useRootElement } from "../context";
import * as styles from "./styles";
export function Slider({ categoryKey, children, }) {
    const { activeCategory } = useRootElement();
    return (React.createElement(SliderComponent, { isOpen: !!activeCategory },
        React.createElement("div", { className: styles.header },
            React.createElement(CloseButton, null),
            categoryKey && React.createElement(CategoryTitle, { categoryKey: categoryKey })),
        React.createElement("div", { className: styles.content }, children)));
}
//# sourceMappingURL=index.js.map