import React from "react";
import { useTranslation } from "react-i18next";
import { List as ListIcon } from "@phosphor-icons/react";
import { Button } from "@local-logic/design-system";
import { useRootElement } from "../context";
import * as styles from "./styles";
export function Toggle() {
    const { t } = useTranslation("localContent");
    const { isExpanded, onToggleIsExpanded } = useRootElement();
    return (React.createElement(Button, { className: styles.container, prefixIcon: React.createElement(ListIcon, null), onClick: onToggleIsExpanded, "data-testid": "categories-toggle-button", "data-is-expanded": isExpanded }, t("categoriesToggle.toggleLabel")));
}
//# sourceMappingURL=index.js.map