import React from "react";
import type { RootProps } from "./types";
export type DefaultContext = {
    isExpanded: boolean;
    scoresData: RootProps["scoresData"];
    activeCategory: RootProps["activeCategory"];
    activeCategoryData?: RootProps["activeCategoryData"];
    activeScore: RootProps["activeScore"];
    activeScoreData?: RootProps["activeScoreData"];
    onToggleIsExpanded: () => void;
    onSelectCategory?: RootProps["onSelectCategory"];
    onSelectScore?: RootProps["onSelectScore"];
};
declare const useRootElement: () => DefaultContext;
declare const RootElementContextProvider: ({ scoresData, activeCategory, activeCategoryData, activeScore, activeScoreData, onSelectCategory, onSelectScore, children, }: {
    scoresData: DefaultContext["scoresData"];
    activeCategory: DefaultContext["activeCategory"];
    activeCategoryData?: DefaultContext["activeCategoryData"];
    activeScore: DefaultContext["activeScore"];
    activeScoreData?: DefaultContext["activeScoreData"];
    onSelectCategory?: DefaultContext["onSelectCategory"];
    onSelectScore?: DefaultContext["onSelectScore"];
    children: React.ReactNode;
}) => React.JSX.Element;
export { useRootElement, RootElementContextProvider };
//# sourceMappingURL=context.d.ts.map