import React, { useState, useContext, useEffect } from "react";
const RootElementContext = React.createContext({});
const useRootElement = () => useContext(RootElementContext);
const RootElementContextProvider = ({ scoresData, activeCategory, activeCategoryData, activeScore, activeScoreData, onSelectCategory, onSelectScore, children, }) => {
    const [isExpanded, setIsExpanded] = useState(false);
    const onToggleIsExpanded = () => {
        setIsExpanded((prev) => !prev);
    };
    useEffect(() => () => {
        setIsExpanded(false); // Reset state on unmount
    }, []);
    return (React.createElement(RootElementContext.Provider, { value: {
            isExpanded,
            scoresData,
            activeCategory,
            activeCategoryData,
            activeScore,
            activeScoreData,
            onToggleIsExpanded,
            onSelectCategory,
            onSelectScore,
        } }, children));
};
export { useRootElement, RootElementContextProvider };
//# sourceMappingURL=context.js.map