import React from "react";
import { render } from "@testing-library/react";
import "@testing-library/jest-dom";
import { ColorIcon } from "./index";
describe("ColorIcon", () => {
    it("renders without crashing", () => {
        const { container } = render(React.createElement(ColorIcon, { element: React.createElement(React.Fragment, null) }));
        expect(container.firstChild).toBeInTheDocument();
    });
    it("applies background and fill colors", () => {
        const { getByTestId } = render(React.createElement(ColorIcon, { element: React.createElement("span", { "data-testid": "icon" }), backgroundColor: "red", fillColor: "white" }));
        const component = getByTestId("icon-background");
        expect(component).toHaveStyle({
            "--background": "red",
            "--fill": "white",
        });
    });
});
//# sourceMappingURL=index.test.js.map