import React, { useMemo } from "react";
import { useLocalContent } from "~/sdks/LocalContent/context";
import { useResponsiveBreakpoints } from "~/hooks/useResponsiveBreakpoints";
import { Map } from "../Map";
import { Sidebar } from "../Sidebar";
import { CategoriesToggle } from "../CategoriesToggle";
export function Content() {
    const breakpoints = useResponsiveBreakpoints();
    const { scoresMenu, scoresData, activeScore, activeScoreData, activeCategory, activeCategoryData, handleSelectScore, handleSelectCategory, } = useLocalContent();
    const isMobile = useMemo(() => !breakpoints.sm, [breakpoints.sm]);
    return (React.createElement(Map, null,
        !isMobile && (React.createElement(Sidebar.Root, { isDefaultOpen: scoresMenu === null || scoresMenu === void 0 ? void 0 : scoresMenu.defaultOpen, activeScore: activeScore, activeScoreData: activeScoreData, onSelectScore: handleSelectScore },
            React.createElement(Sidebar.Header, { title: scoresMenu === null || scoresMenu === void 0 ? void 0 : scoresMenu.title }),
            React.createElement(Sidebar.Content, null,
                scoresMenu.categories.map(([categoryKey, category]) => (React.createElement(Sidebar.Category, { key: `category-${categoryKey}`, categoryKey: categoryKey }, category.scores.map(([scoreKey, _score]) => {
                    var _a, _b;
                    return (React.createElement(Sidebar.Score, { key: `sidebar-score-${categoryKey}-${scoreKey}`, scoreKey: scoreKey, backgroundColor: (_a = category.colors) === null || _a === void 0 ? void 0 : _a.background, fillColor: (_b = category.colors) === null || _b === void 0 ? void 0 : _b.fill }));
                })))),
                React.createElement(Sidebar.Slider, null,
                    React.createElement(Sidebar.ScoreDetails, null))))),
        isMobile && (React.createElement(CategoriesToggle.Root, { scoresData: scoresData, activeCategory: activeCategory, activeCategoryData: activeCategoryData, activeScore: activeScore, activeScoreData: activeScoreData, onSelectCategory: handleSelectCategory, onSelectScore: handleSelectScore },
            React.createElement(CategoriesToggle.Toggle, null),
            React.createElement(CategoriesToggle.Content, null, scoresMenu === null || scoresMenu === void 0 ? void 0 :
                scoresMenu.categories.map(([categoryKey, category]) => {
                    var _a, _b;
                    return (React.createElement(CategoriesToggle.Category, { key: `categories-toggle-category-${categoryKey}`, categoryKey: categoryKey, backgroundColor: (_a = category.colors) === null || _a === void 0 ? void 0 : _a.background, fillColor: (_b = category.colors) === null || _b === void 0 ? void 0 : _b.fill }));
                }),
                React.createElement(CategoriesToggle.Slider, { categoryKey: activeCategory }, activeCategoryData === null || activeCategoryData === void 0 ? void 0 : activeCategoryData.scores.map(([scoreKey, _score]) => {
                    var _a, _b;
                    return (React.createElement(CategoriesToggle.Score, { key: `categories-toggle-slider-score-${activeCategory}-${scoreKey}`, scoreKey: scoreKey, backgroundColor: (_a = activeCategoryData.colors) === null || _a === void 0 ? void 0 : _a.background, fillColor: (_b = activeCategoryData.colors) === null || _b === void 0 ? void 0 : _b.fill }));
                })))))));
}
//# sourceMappingURL=index.js.map