import React, { useMemo } from "react";
import { CaretUp as CaretUpIcon, CaretDown as CaretDownIcon, Equals as EqualsIcon, } from "@phosphor-icons/react";
import * as styles from "./styles";
export function ValueIndicator({ comparison, }) {
    const Icon = useMemo(() => {
        switch (comparison) {
            case "higher":
                return CaretUpIcon;
            case "lower":
                return CaretDownIcon;
            default:
                return EqualsIcon;
        }
    }, [comparison]);
    return (React.createElement("div", { className: styles.container, "data-testid": "value-indicator", "data-comparison": comparison },
        React.createElement(Icon, { className: styles.icon })));
}
//# sourceMappingURL=index.js.map