import React, { useMemo } from "react";
import { useTranslation } from "react-i18next";
import { ValueIndicator } from "./ValueIndicator";
import * as styles from "./styles";
export function ScoreMetroComparison({ locationScoreValue, metroScoreValue, }) {
    const { t } = useTranslation("localContent");
    const comparison = useMemo(() => {
        if (typeof locationScoreValue === "undefined" ||
            typeof metroScoreValue === "undefined") {
            return null;
        }
        if (locationScoreValue > metroScoreValue) {
            return "higher";
        }
        if (locationScoreValue < metroScoreValue) {
            return "lower";
        }
        return "equal";
    }, [locationScoreValue, metroScoreValue]);
    if (comparison === null) {
        return null;
    }
    return (React.createElement("div", { className: styles.container, "data-testid": "score-metro-comparison" },
        React.createElement(ValueIndicator, { comparison: comparison }),
        React.createElement("p", null, t("scoreMetroComparison.text", {
            context: comparison !== "equal" ? comparison : undefined,
            metroScoreValue,
        }))));
}
//# sourceMappingURL=index.js.map