import React from "react";
import { render } from "@testing-library/react";
import { describe, it, expect } from "vitest";
import { ScoreText } from "./index";
describe("ScoreText", () => {
    it("renders null when text is undefined", () => {
        const { container } = render(React.createElement(ScoreText, { text: undefined }));
        expect(container.firstChild).toBeNull();
    });
    it("renders the text when provided", () => {
        const { getByTestId } = render(React.createElement(ScoreText, { text: "Test Score" }));
        const scoreText = getByTestId("score-description");
        expect(scoreText).toBeInTheDocument();
        expect(scoreText).toHaveTextContent("Test Score");
    });
});
//# sourceMappingURL=index.test.js.map