import React from "react";
import { useTranslation } from "react-i18next";
import { CaretDoubleLeft as CaretDoubleLeftIcon } from "@phosphor-icons/react";
import { useRootElement } from "../context";
import { Title } from "./Title";
import { CloseButton } from "./CloseButton";
import * as styles from "./styles";
export function Header({ title }) {
    const { t } = useTranslation("localContent");
    const { activeScore, isExpanded, onToggleIsExpanded } = useRootElement();
    const handleOnArrowClick = (event) => {
        event.stopPropagation();
        onToggleIsExpanded();
    };
    return (React.createElement("div", { className: styles.container, "data-testid": "sidebar-header" },
        isExpanded && !activeScore && React.createElement(Title, { title: title }),
        isExpanded && activeScore && React.createElement(CloseButton, null),
        React.createElement("button", { type: "button", onClick: handleOnArrowClick, "aria-label": t("sidebar.header.toggle.ariaLabel", {
                context: isExpanded ? "close" : "open",
            }), "aria-pressed": isExpanded, "data-testid": "sidebar-header-toggle" },
            React.createElement(CaretDoubleLeftIcon, { className: styles.icon, "aria-hidden": "true", focusable: "false", "data-testid": "sidebar-header-toggle-icon" }))));
}
//# sourceMappingURL=index.js.map