import React from "react";
import { useTranslation } from "react-i18next";
import { ScoreIcon } from "~/components/ScoreIcon";
import { ItemButton } from "~/sdks/LocalContent/components/ItemButton";
import { useRootElement } from "../context";
export function Score({ scoreKey, backgroundColor, fillColor, }) {
    const { t } = useTranslation(["common"]);
    const { isExpanded, activeScore, onSelectScore } = useRootElement();
    return (React.createElement(ItemButton, { text: t(`common:scores.${scoreKey}.title`), isDisabled: !isExpanded, isCollapsed: !isExpanded, isActive: activeScore === scoreKey, icon: {
            element: React.createElement(ScoreIcon, { score: scoreKey }),
            backgroundColor,
            fillColor,
        }, onClick: onSelectScore ? onSelectScore(scoreKey) : undefined, "data-testid": "sidebar-score-item", "data-score": scoreKey }));
}
//# sourceMappingURL=index.js.map