import React, { useState, useContext } from "react";
import * as styles from "./styles";
const RootElementContext = React.createContext({});
const useRootElement = () => useContext(RootElementContext);
const RootElementContextProvider = ({ isDefaultOpen, activeScore, activeScoreData, onSelectScore, children, }) => {
    const [isExpanded, setIsExpanded] = useState(isDefaultOpen);
    const onToggleIsExpanded = () => {
        setIsExpanded((prev) => !prev);
    };
    const handleOnSidebarClick = () => {
        if (isExpanded) {
            return;
        }
        onToggleIsExpanded();
    };
    return (React.createElement(RootElementContext.Provider, { value: {
            isExpanded,
            activeScore,
            activeScoreData,
            onToggleIsExpanded,
            onSelectScore,
        } },
        React.createElement("div", { className: styles.container, "data-is-expanded": isExpanded, "data-testid": "sidebar", onClick: handleOnSidebarClick }, children)));
};
export { useRootElement, RootElementContextProvider };
//# sourceMappingURL=context.js.map