import React from "react";
import { render, screen } from "@testing-library/react";
import { Slider } from "./index";
describe("Slider", () => {
    it("renders without crashing", () => {
        render(React.createElement(Slider, null, "Content"));
        expect(screen.getByTestId("slider")).toBeInTheDocument();
    });
    it("renders children", () => {
        render(React.createElement(Slider, null,
            React.createElement("span", null, "Test Child")));
        expect(screen.getByText("Test Child")).toBeInTheDocument();
    });
    it("sets data-is-open to false by default", () => {
        render(React.createElement(Slider, null));
        expect(screen.getByTestId("slider")).toHaveAttribute("data-is-open", "false");
    });
    it("sets data-is-open to true when isOpen is true", () => {
        render(React.createElement(Slider, { isOpen: true }));
        expect(screen.getByTestId("slider")).toHaveAttribute("data-is-open", "true");
    });
});
//# sourceMappingURL=index.test.js.map