import React from "react";
import { useScoreSelection } from "~/sdks/LocalContent/hooks/useScoreSelection";
import { useMarkers } from "~/sdks/LocalContent/hooks/useMarkers";
import type { TransformedScoresMenuData } from "./utils/transformScoresMenuData/types";
import { type LocalContentProps } from "./types";
interface Location {
    lat: LocalContentProps["options"]["lat"];
    lng: LocalContentProps["options"]["lng"];
}
export type DefaultContext = {
    isLoading: boolean;
    location: Location;
    map: {
        mapProvider: LocalContentProps["options"]["mapProvider"];
        zoom: LocalContentProps["options"]["zoom"];
        pitch: LocalContentProps["options"]["pitch"];
        bearing: LocalContentProps["options"]["bearing"];
        cooperativeGestures: LocalContentProps["options"]["cooperativeGestures"];
    };
    mapProvider?: LocalContentProps["options"]["mapProvider"];
    scoresMenu: TransformedScoresMenuData;
    markersData?: ReturnType<typeof useMarkers>["data"];
    scoresData?: ReturnType<typeof useScoreSelection>["scoresData"];
    activeScore: ReturnType<typeof useScoreSelection>["activeScore"];
    activeScoreData: ReturnType<typeof useScoreSelection>["activeScoreData"];
    activeCategory: ReturnType<typeof useScoreSelection>["activeCategory"];
    activeCategoryData: ReturnType<typeof useScoreSelection>["activeCategoryData"];
    handleSelectScore: ReturnType<typeof useScoreSelection>["handleSelectScore"];
    handleSelectCategory: ReturnType<typeof useScoreSelection>["handleSelectCategory"];
};
declare const useLocalContent: () => DefaultContext;
declare const LocalContentProvider: ({ children, }: {
    children: React.JSX.Element;
}) => React.JSX.Element;
export { useLocalContent, LocalContentProvider, type Location };
//# sourceMappingURL=context.d.ts.map