import type { ScoreKey, CategoryKey, CategoryOptions } from "~/sdks/LocalContent/types";
import type { TransformedScoresMenuData } from "~/sdks/LocalContent/utils/transformScoresMenuData/types";
type ScoreItem = {
    [key in ScoreKey]: {
        text?: string;
        value?: number;
        metroValue?: number;
        categoryKey?: CategoryKey | null;
        categoryOptions?: CategoryOptions | null;
    };
};
export declare function useScoreSelection({ scoresMenu, lat, lng, }: {
    scoresMenu: TransformedScoresMenuData;
    lat: number;
    lng: number;
}): {
    isLoading: boolean;
    scoresData: ScoreItem;
    activeScore: ScoreKey | null;
    activeScoreData: {
        text?: string;
        value?: number;
        metroValue?: number;
        categoryKey?: CategoryKey | null;
        categoryOptions?: CategoryOptions | null;
    } | undefined;
    activeCategory: CategoryKey | null;
    activeCategoryData: (CategoryOptions & {
        scores: [ScoreKey, import("~/sdks/LocalContent/types").ScoreOptions][];
    }) | null;
    handleSelectScore: (scoreKey: ScoreKey | null) => () => void;
    handleSelectCategory: (categoryKey: CategoryKey | null) => () => void;
};
export {};
//# sourceMappingURL=index.d.ts.map