/**
 * Transforms the API response from the scores endpoint into a more usable format.
 *
 * @param data
 * @param scoresMenu
 * @returns
 */
export function transformScoresAPIResponse(data, scoresMenu) {
    if (typeof (data === null || data === void 0 ? void 0 : data.location) === "undefined" || !scoresMenu)
        return {};
    const scores = {};
    Object.keys(data.location).forEach((key) => {
        var _a, _b, _c;
        const singleScoreData = (_a = data === null || data === void 0 ? void 0 : data.location) === null || _a === void 0 ? void 0 : _a[key];
        const singleMetroScoreData = (_c = (_b = ((data === null || data === void 0 ? void 0 : data.geographies[1]) || {})) === null || _b === void 0 ? void 0 : _b.scores) === null || _c === void 0 ? void 0 : _c[key];
        const category = scoresMenu.categories.find(([_key, categoryData]) => categoryData.scores.some(([scoreKey]) => scoreKey === key));
        scores[key] = {
            text: singleScoreData === null || singleScoreData === void 0 ? void 0 : singleScoreData.text,
            value: Math.round(parseFloat((singleScoreData === null || singleScoreData === void 0 ? void 0 : singleScoreData.value) || "0") * 10) / 10,
            metroValue: Math.round(parseFloat((singleMetroScoreData === null || singleMetroScoreData === void 0 ? void 0 : singleMetroScoreData.value) || "0") * 10) / 10,
            categoryKey: category ? category[0] : null,
            categoryOptions: category ? category[1] : null,
        };
    });
    return scores;
}
//# sourceMappingURL=index.js.map