import React, { useMemo } from "react";
import { TrackingProvider, initializeAnalytics, } from "@local-logic/core/tracking";
// TODO Move this import to sdks/sdks-app/src/App.tsx once all SDKs are migrated
import "~/assets/styles/globals.css";
import { ValidateOptions } from "~/components/ValidateOptions";
import { LocalLogicProvider } from "~/context/LocalLogicProvider";
import { useStateManagerContext } from "~/context/stateManager";
import useIsMobile from "~/hooks/useIsMobile";
import { ProductNames } from "~/types";
import { ANALYTICS_SETTINGS } from "~/constants/analytics";
import { Content } from "./components/Content";
import { LocalContentProvider } from "./context";
import { schema } from "./schema";
initializeAnalytics(ANALYTICS_SETTINGS.localContent.key);
const LocalContent = () => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j;
    const { sdkState } = useStateManagerContext();
    const isMobile = useIsMobile();
    const locale = ((_a = sdkState.globalOptions) === null || _a === void 0 ? void 0 : _a.locale) || "en";
    const clientId = useMemo(() => {
        var _a, _b;
        const clientKey = (_b = (_a = sdkState.apiKey) === null || _a === void 0 ? void 0 : _a.split(".")) !== null && _b !== void 0 ? _b : "";
        return clientKey[0].slice(3);
    }, [sdkState.apiKey]);
    return (React.createElement(ValidateOptions, { sdk: "Local Content", schema: schema, options: sdkState.options },
        React.createElement(LocalLogicProvider, { environment: (_c = (_b = sdkState.globalOptions) === null || _b === void 0 ? void 0 : _b.environment) === null || _c === void 0 ? void 0 : _c.api, apiKey: sdkState.apiKey, appearance: (_d = sdkState.globalOptions) === null || _d === void 0 ? void 0 : _d.appearance, locale: (_e = sdkState.globalOptions) === null || _e === void 0 ? void 0 : _e.locale, product: ProductNames.LOCAL_CONTENT },
            React.createElement(TrackingProvider, { trackingPipelineSettings: {
                    apiKey: sdkState.apiKey || "",
                }, analyticsSettings: ANALYTICS_SETTINGS.localContent, meta: {
                    clientId,
                    productName: ProductNames.LOCAL_CONTENT,
                    productVersion: FULL_APP_VERSION,
                }, attributes: {
                    location: {
                        lat: (_f = sdkState.options) === null || _f === void 0 ? void 0 : _f.lat,
                        lng: (_g = sdkState.options) === null || _g === void 0 ? void 0 : _g.lng,
                    },
                    host_url: document.referrer,
                    locale,
                    isMobile,
                    mapProvider: (_j = (_h = sdkState.options) === null || _h === void 0 ? void 0 : _h.mapProvider) === null || _j === void 0 ? void 0 : _j.name,
                }, flags: {
                    isDebugMode: import.meta.env.VITE_TRACKING_PIPELINE_DEBUG === "true",
                } },
                React.createElement(LocalContentProvider, null,
                    React.createElement(Content, null))))));
};
export default LocalContent;
//# sourceMappingURL=index.js.map