import { ObjectSchema } from "yup";
import { MapProvider } from "./types";
import type { Options } from "./types";
export declare const schema: ObjectSchema<Options>;
export declare const validateOptions: (options: Options) => Promise<{
    lat?: number | undefined;
    lng?: number | undefined;
    zoom?: number | undefined;
    pitch?: number | undefined;
    bearing?: number | undefined;
    distanceUnit?: "metric" | "imperial" | undefined;
    marker?: {
        lat: number;
        lng: number;
        icon?: "house" | "pin";
        addressLabel?: string;
    } | undefined;
    cooperativeGestures?: boolean | undefined;
    mapProvider?: MapProvider | undefined;
    hideScores?: boolean | undefined;
    collapseScores?: boolean | undefined;
    scoresMenu?: {
        defaultOpen?: boolean;
        title?: boolean | string;
        categories?: { [key in import("./types").CategoryKey]?: import("./types").CategoryOptions; };
    } | undefined;
}>;
//# sourceMappingURL=schema.d.ts.map