import React from "react";
import { useTranslation } from "react-i18next";
import { Text, LoadingItem } from "@local-logic/core/ui";
import AnimateHeight from "~/components/AnimateHeight";
import * as styles from "./styles";
export default function CommuteInfo({ isFetching, isFetched, data, }) {
    const { t } = useTranslation("localContent");
    if (!isFetching && !isFetched) {
        return null;
    }
    if (isFetching) {
        return React.createElement(LoadingItem, { height: "70.4px", width: "100%" });
    }
    return (React.createElement(React.Fragment, null,
        React.createElement("div", { className: styles.spacer }),
        React.createElement(AnimateHeight, { open: isFetched },
            React.createElement("div", { className: styles.container },
                React.createElement(Text, { variant: "h5" }, (data === null || data === void 0 ? void 0 : data.duration) || t("commuteCalculator.results.noRoute")),
                React.createElement(Text, null,
                    (data === null || data === void 0 ? void 0 : data.distance) &&
                        `${data.distance} - ${t("commuteCalculator.results.fastestRoute")}`,
                    !(data === null || data === void 0 ? void 0 : data.distance) && t("commuteCalculator.results.trySuggestion"))))));
}
//# sourceMappingURL=index.js.map