import React from "react";
import { useStateManagerContext } from "~/context/stateManager";
import { useLocalContent } from "~/sdks/LocalContentDeprecated/context";
import MapGLCommuteCalculator from "./MapGLCommuteCalc";
import GoogleCommuteCalculator from "./GoogleCommuteCalc";
const CommuteCalculator = ({ className, onClose }) => {
    var _a, _b;
    const { sdkState } = useStateManagerContext();
    const { setActivePOI } = useLocalContent();
    const isGoogleMapProvider = ((_b = (_a = sdkState.options) === null || _a === void 0 ? void 0 : _a.mapProvider) === null || _b === void 0 ? void 0 : _b.name) === "google";
    const googleOnClose = () => {
        onClose();
        setActivePOI(undefined);
    };
    if (isGoogleMapProvider) {
        return (React.createElement(GoogleCommuteCalculator, { onClose: googleOnClose, className: className }));
    }
    return React.createElement(MapGLCommuteCalculator, { onClose: onClose, className: className });
};
export default CommuteCalculator;
//# sourceMappingURL=index.js.map