import React, { useContext } from "react";
import * as POIList from "~/sdks/LocalContentDeprecated/components/POIList";
import * as ScorePOIs from "~/sdks/LocalContentDeprecated/components/ScorePOIs";
import { useLocalContent } from "~/sdks/LocalContentDeprecated/context";
import { AnalyticsEvents } from "~/sdks/LocalContentDeprecated/types";
import { getCenterWithOffset } from "~/utils/formatters/getCenterWithOffset";
import { GoogleMapContext } from "~/sdks/LocalContentDeprecated/components/Map/GoogleMap/context";
import { useTracking } from "@local-logic/core/tracking";
const GooglePOI = React.memo(({ result, poi }) => {
    var _a;
    const { activePOI, setActivePOI, hoveredPOI, setHoveredPOI } = useLocalContent();
    const { googleMapRef } = useContext(GoogleMapContext);
    const tracking = useTracking();
    const handleTrackPoiClick = () => {
        tracking.trackAnalyticsEvent({
            eventName: AnalyticsEvents.SCORE_POI_SELECTED,
        });
    };
    if (!((_a = result.data) === null || _a === void 0 ? void 0 : _a[poi])) {
        return null;
    }
    return (React.createElement(ScorePOIs.Content, { key: poi, options: { value: poi } },
        React.createElement(POIList.Root, { options: {
                type: "poi",
                data: result.data[poi],
                activePOI,
                hoveredPOI,
            }, onChange: (e) => {
                if (e.type === "poi-click") {
                    const p = e.data;
                    setActivePOI(p);
                    handleTrackPoiClick();
                    if (p && googleMapRef) {
                        googleMapRef.setZoom(20);
                        const newCenter = getCenterWithOffset({
                            map: googleMapRef,
                            lat: p.lat,
                            lng: p.lng,
                            xPixelOffset: 190,
                            yPixelOffset: 0,
                        });
                        if (newCenter)
                            googleMapRef.setCenter(newCenter);
                    }
                }
                if (e.type === "poi-hover") {
                    setHoveredPOI(e.data);
                }
            } })));
});
GooglePOI.displayName = "POI";
export default GooglePOI;
//# sourceMappingURL=index.js.map