import * as POIList from "~/sdks/LocalContentDeprecated/components/POIList";
import * as ScorePOIs from "~/sdks/LocalContentDeprecated/components/ScorePOIs";
import React from "react";
import { useMap } from "~/sdks/LocalContentDeprecated/components/MapGL/context";
import { useLocalContent } from "~/sdks/LocalContentDeprecated/context";
import { AnalyticsEvents } from "~/sdks/LocalContentDeprecated/types";
import { useTracking } from "@local-logic/core/tracking";
const MapGLPOI = React.memo(({ result, poi }) => {
    var _a;
    const { activePOI, setActivePOI, hoveredPOI, setHoveredPOI } = useLocalContent();
    const { mapRef, mapPadding } = useMap();
    const tracking = useTracking();
    const handleTrackPoiClick = () => {
        tracking.trackAnalyticsEvent({
            eventName: AnalyticsEvents.SCORE_POI_SELECTED,
        });
    };
    if (!((_a = result.data) === null || _a === void 0 ? void 0 : _a[poi])) {
        return null;
    }
    return (React.createElement(ScorePOIs.Content, { key: poi, options: { value: poi } },
        React.createElement(POIList.Root, { options: {
                type: "poi",
                data: result.data[poi],
                activePOI,
                hoveredPOI,
            }, onChange: (e) => {
                var _a;
                if (e.type === "poi-click") {
                    const p = e.data;
                    setActivePOI(p);
                    handleTrackPoiClick();
                    const mapArea = window.innerWidth - mapPadding.left;
                    const defaultMapCenter = window.innerWidth / 2;
                    const xOffset = mapArea / 2 + mapPadding.left - defaultMapCenter;
                    if (p) {
                        (_a = mapRef.current) === null || _a === void 0 ? void 0 : _a.flyTo({
                            zoom: 18,
                            center: [p.lng, p.lat],
                            duration: 1000,
                            offset: [xOffset, 0],
                            // Without this, some operating systems will prevent this from
                            // working. See comment:
                            // https://docs.mapbox.com/mapbox-gl-js/example/flyto-options/
                            essential: true,
                        });
                    }
                }
                if (e.type === "poi-hover") {
                    setHoveredPOI(e.data);
                }
            } })));
});
MapGLPOI.displayName = "POI";
export default MapGLPOI;
//# sourceMappingURL=index.js.map