import { LoadingItem } from "@local-logic/core/ui";
import * as ScorePOIs from "~/sdks/LocalContentDeprecated/components/ScorePOIs";
import React from "react";
import { useStateManagerContext } from "~/context/stateManager";
import { useLocalContent } from "~/sdks/LocalContentDeprecated/context";
import { usePois } from "~/sdks/LocalContentDeprecated/hooks/usePois";
import MapGLPOI from "./MapGLPOI";
import GooglePOI from "./GooglePOI";
import * as styles from "../styles";
const POIs = React.memo(({ include }) => {
    var _a, _b, _c;
    const { activeScore } = useLocalContent();
    const result = usePois(activeScore);
    const poisWithResults = include === null || include === void 0 ? void 0 : include.filter((poi) => { var _a, _b, _c; return ((_c = ((_b = (_a = result === null || result === void 0 ? void 0 : result.data) === null || _a === void 0 ? void 0 : _a[poi]) !== null && _b !== void 0 ? _b : [])) === null || _c === void 0 ? void 0 : _c.length) > 0; });
    const { sdkState } = useStateManagerContext();
    const isGoogleMapProvider = ((_b = (_a = sdkState.options) === null || _a === void 0 ? void 0 : _a.mapProvider) === null || _b === void 0 ? void 0 : _b.name) === "google";
    if (result.isLoading && (poisWithResults === null || poisWithResults === void 0 ? void 0 : poisWithResults.length)) {
        return (React.createElement(React.Fragment, null, (_c = [...Array(10)]) === null || _c === void 0 ? void 0 : _c.map((_, i) => (React.createElement("div", { className: styles.loadingContainer, key: i },
            React.createElement(LoadingItem, { height: "34px", width: "100%" }))))));
    }
    if (!result.data) {
        return null;
    }
    return (React.createElement(ScorePOIs.Root, { options: { include: poisWithResults } },
        React.createElement(ScorePOIs.Tabs, null), poisWithResults === null || poisWithResults === void 0 ? void 0 :
        poisWithResults.map((poi) => isGoogleMapProvider ? (React.createElement(GooglePOI, { key: poi, poi: poi, result: result })) : (React.createElement(MapGLPOI, { key: poi, poi: poi, result: result })))));
});
POIs.displayName = "POIs";
export default POIs;
//# sourceMappingURL=index.js.map