import * as POIList from "~/sdks/LocalContentDeprecated/components/POIList";
import React, { useContext } from "react";
import { useLocalContent } from "~/sdks/LocalContentDeprecated/context";
import { AnalyticsEvents } from "~/sdks/LocalContentDeprecated/types";
import { useSchools } from "~/sdks/LocalContentDeprecated/hooks/useSchools";
import { getCenterWithOffset } from "~/utils/formatters/getCenterWithOffset";
import { GoogleMapContext } from "~/sdks/LocalContentDeprecated/components/Map/GoogleMap/context";
import { useTracking } from "@local-logic/core/tracking";
const GoogleSchools = ({ score }) => {
    const { activePOI, setActivePOI, hoveredPOI, setHoveredPOI, activeScore } = useLocalContent();
    const { googleMapRef } = useContext(GoogleMapContext);
    const tracking = useTracking();
    const { data } = useSchools({ activeScore });
    const handleTrackPoiClick = () => {
        tracking.trackAnalyticsEvent({
            eventName: AnalyticsEvents.SCORE_POI_SELECTED,
        });
    };
    if (!data) {
        return null;
    }
    return (React.createElement(POIList.Root, { options: {
            type: "school",
            data: data === null || data === void 0 ? void 0 : data[score],
            activePOI,
            hoveredPOI,
        }, onChange: (e) => {
            if (e.type === "poi-click") {
                const s = e.data;
                setActivePOI(s);
                handleTrackPoiClick();
                if (s && googleMapRef) {
                    googleMapRef.setZoom(20);
                    const newCenter = getCenterWithOffset({
                        map: googleMapRef,
                        lat: s.lat,
                        lng: s.lng,
                        xPixelOffset: 190,
                        yPixelOffset: 0,
                    });
                    if (newCenter)
                        googleMapRef.setCenter(newCenter);
                }
            }
            if (e.type === "poi-hover") {
                setHoveredPOI(e.data);
            }
        } }));
};
export default GoogleSchools;
//# sourceMappingURL=index.js.map