import * as POIList from "~/sdks/LocalContentDeprecated/components/POIList";
import React from "react";
import { useMap } from "~/sdks/LocalContentDeprecated/components/MapGL/context";
import { useLocalContent } from "~/sdks/LocalContentDeprecated/context";
import { AnalyticsEvents } from "~/sdks/LocalContentDeprecated/types";
import { useSchools } from "~/sdks/LocalContentDeprecated/hooks/useSchools";
import { useTracking } from "@local-logic/core/tracking";
const MapGLSchools = ({ score }) => {
    const { activePOI, setActivePOI, hoveredPOI, setHoveredPOI, activeScore } = useLocalContent();
    const { data } = useSchools({ activeScore });
    const { mapRef, mapPadding } = useMap();
    const tracking = useTracking();
    const handleTrackPoiClick = () => {
        tracking.trackAnalyticsEvent({
            eventName: AnalyticsEvents.SCORE_POI_SELECTED,
        });
    };
    if (!data) {
        return null;
    }
    return (React.createElement(POIList.Root, { options: {
            type: "school",
            data: data === null || data === void 0 ? void 0 : data[score],
            activePOI,
            hoveredPOI,
        }, onChange: (e) => {
            var _a;
            if (e.type === "poi-click") {
                const s = e.data;
                setActivePOI(s);
                handleTrackPoiClick();
                const mapArea = window.innerWidth - mapPadding.left;
                const defaultMapCenter = window.innerWidth / 2;
                const xOffset = mapArea / 2 + mapPadding.left - defaultMapCenter;
                if (s) {
                    (_a = mapRef.current) === null || _a === void 0 ? void 0 : _a.easeTo({
                        zoom: 18,
                        center: [s.lng, s.lat],
                        duration: 1000,
                        offset: [xOffset, 0],
                    });
                }
            }
            if (e.type === "poi-hover") {
                setHoveredPOI(e.data);
            }
        } }));
};
export default MapGLSchools;
//# sourceMappingURL=index.js.map