import { LoadingItem } from "@local-logic/core/ui";
import React from "react";
import { useStateManagerContext } from "~/context/stateManager";
import { useSchools } from "~/sdks/LocalContentDeprecated/hooks/useSchools";
import { useLocalContent } from "~/sdks/LocalContentDeprecated/context";
import MapGLSchools from "./MapGLSchools";
import GoogleSchools from "./GoogleSchools";
import * as styles from "../styles";
const Schools = ({ score }) => {
    var _a, _b;
    const { activeScore } = useLocalContent();
    const { isLoading } = useSchools({ activeScore });
    const { sdkState } = useStateManagerContext();
    const isGoogleMapProvider = ((_b = (_a = sdkState.options) === null || _a === void 0 ? void 0 : _a.mapProvider) === null || _b === void 0 ? void 0 : _b.name) === "google";
    if (isLoading) {
        return (React.createElement(React.Fragment, null, [...Array(10)].map((_, i) => (React.createElement("div", { className: styles.loadingContainer, key: i },
            React.createElement(LoadingItem, { height: "34px", width: "100%" }))))));
    }
    return isGoogleMapProvider ? (React.createElement(GoogleSchools, { score: score })) : (React.createElement(MapGLSchools, { score: score }));
};
export default Schools;
//# sourceMappingURL=index.js.map