import { LoadingSpinner, Text, LoadingItem } from "@local-logic/core/ui";
import { scorePois, } from "~/sdks/LocalContentDeprecated/constants/score-categories";
import React, { useEffect } from "react";
import { useTranslation } from "react-i18next";
import { useLocalContent } from "~/sdks/LocalContentDeprecated/context";
import useFilterSortScores from "~/sdks/LocalContentDeprecated/features/useFilterSortScores";
import * as ScoreCategoryTabs from "~/sdks/LocalContentDeprecated/components/ScoreCategoryTabs";
import * as styles from "./styles";
import POIs from "./Score/POIs";
import Score from "./Score";
const ScoreCategory = React.memo(({ tabContent }) => {
    const { t } = useTranslation("localContent");
    const { setActiveScore, collapseScores } = useLocalContent();
    const { cleanScores, data, isLoading, isFetching } = useFilterSortScores(tabContent.scores);
    useEffect(() => {
        if (cleanScores.length > 0 && !collapseScores) {
            setActiveScore(cleanScores[0]);
        }
    }, [cleanScores]);
    return (React.createElement("div", { className: styles.container },
        React.createElement("div", { className: styles.titleContainer },
            React.createElement(ScoreCategoryTabs.Title, { options: {
                    variant: "h4",
                    noMargin: true,
                    weight: "--ll-font-weight-medium",
                } }),
            isFetching && isLoading && React.createElement(LoadingSpinner, { size: "small" })),
        React.createElement("div", { className: styles.titleSpacer }),
        !isFetching && cleanScores.length === 0 && (React.createElement(Text, { color: "--ll-color-on-background-variant1" }, t("results.none"))),
        isFetching && isLoading && (React.createElement("div", { className: styles.loadingContainer },
            React.createElement(LoadingItem, { height: "34px", width: "100%" }))),
        cleanScores.map((score) => (React.createElement(Score, { key: score, score: score, scoresData: data }))),
        !isFetching &&
            !scorePois[tabContent.scores[0]] &&
            !cleanScores.length &&
            !["high_schools", "primary_schools"].includes(tabContent.scores[0]) && (React.createElement("div", { className: styles.poiContainer },
            React.createElement(POIs, { include: scorePois[tabContent.scores[0]] })))));
});
ScoreCategory.displayName = "ScoreCategory";
export default ScoreCategory;
//# sourceMappingURL=index.js.map