import React from "react";
import { LoadingSpinner } from "@local-logic/core/ui";
import * as styles from "./styles";
export const IconButton = ({ className, color = "primary", disabled = false, isLoading, onClick, size = "medium", icon: Icon, title, type = "button", }) => {
    const handleClick = (e) => {
        if (disabled)
            return;
        if (!onClick)
            return;
        if (isLoading)
            return;
        onClick(e);
    };
    return (React.createElement("button", { onClick: handleClick, disabled: disabled || isLoading, className: `${styles.container} ${className}`, "data-type": color, "data-size": size, title: title, type: type }, isLoading ? React.createElement(LoadingSpinner, null) : React.createElement(Icon, { className: styles.icon })));
};
//# sourceMappingURL=index.js.map