import * as POIMarker from "~/sdks/LocalContentDeprecated/components/POIMarker";
import React from "react";
import ReactDOMServer from "react-dom/server";
import { base64SVGString } from "~/utils/formatters/base64SVGString";
import { customInfoKey, } from "./types";
const createMarker = (poi, map, setActiveMarker, setActivePOI, setActiveCluster) => {
    const iconStr = ReactDOMServer.renderToString(React.createElement(POIMarker.GoogleMarker, { type: poi.properties.type }));
    const iconUrl = base64SVGString(iconStr);
    const iconProps = {
        url: iconUrl,
        scaledSize: new google.maps.Size(30, 30),
    };
    const marker = new google.maps.Marker({
        map,
        position: {
            lat: poi.properties.poi.lat,
            lng: poi.properties.poi.lng,
        },
        title: poi.properties.poi.name,
        icon: iconProps,
    });
    marker.set(customInfoKey, poi);
    marker.addListener("click", () => {
        setActivePOI(poi.properties.poi);
        setActiveMarker(marker);
        setActiveCluster(undefined);
    });
    return marker;
};
export const updateMarkers = (points, googleMapRef, setActiveMarker, setActivePOI, setActiveCluster) => points.map((p) => createMarker(p, googleMapRef, setActiveMarker, setActivePOI, setActiveCluster));
//# sourceMappingURL=marker.js.map