import { Status, Wrapper } from "@googlemaps/react-wrapper";
import React, { lazy } from "react";
import { useStateManagerContext } from "~/context/stateManager";
import errorTracker from "~/utils/errorTracker";
const GoogleMap = lazy(() => import("./GoogleMap"));
const MapGLMap = lazy(() => import("./MapGLMap"));
const Map = () => {
    var _a, _b;
    const { sdkState } = useStateManagerContext();
    const googleMapRender = (status) => {
        switch (status) {
            case Status.LOADING:
                return React.createElement(React.Fragment, null);
            case Status.FAILURE:
                return React.createElement(React.Fragment, null);
            case Status.SUCCESS:
                return React.createElement(GoogleMap, null);
            default:
                return React.createElement(React.Fragment, null);
        }
    };
    if (((_b = (_a = sdkState.options) === null || _a === void 0 ? void 0 : _a.mapProvider) === null || _b === void 0 ? void 0 : _b.name) === "google") {
        const googleApiKey = sdkState.options.mapProvider.key;
        if (!googleApiKey) {
            const e = new Error("A map provider key is required in this case.");
            errorTracker.captureException(e);
            throw e;
        }
        return (React.createElement(Wrapper, { apiKey: googleApiKey || "", libraries: ["geometry", "places"], render: googleMapRender }));
    }
    return React.createElement(MapGLMap, null);
};
export default Map;
//# sourceMappingURL=index.js.map