import React from "react";
import { Text, Tag } from "@local-logic/core/ui";
import { typeguardUtils } from "@local-logic/core/utils";
import * as styles from "./styles";
const Root = ({ options: { data, type, activePOI, hoveredPOI }, onChange, }) => (React.createElement("ul", { className: styles.list }, data === null || data === void 0 ? void 0 : data.map((poi, i) => {
    var _a, _b, _c;
    return (React.createElement("li", { className: styles.item, key: `${poi.name}-${poi.lat}-${poi.lng}-${i}`, "data-active": activePOI === poi, onClick: () => onChange && onChange({ type: "poi-click", data: poi }), onMouseOver: () => onChange && onChange({ type: "poi-hover", data: poi }), onMouseLeave: () => onChange && onChange({ type: "poi-hover", data: undefined }) },
        React.createElement(Text, { variant: "p", color: "--ll-color-on-surface-variant1", noMargin: true }, poi.name),
        typeguardUtils.poi.isSchool(poi, type) ? (React.createElement("div", { className: styles.routeContainer }, (_b = (_a = poi.school_attributes) === null || _a === void 0 ? void 0 : _a.types) === null || _b === void 0 ? void 0 : _b.map((t, i2) => (React.createElement(Tag, { className: styles.tag, key: t, text: t }))))) : (React.createElement("div", { className: styles.routeContainer }, (_c = poi.routes) === null || _c === void 0 ? void 0 : _c.map((route, i2) => (React.createElement(Tag, { className: styles.tag, key: route.short_name + i2, text: route.short_name, backgroundColor: route.route_color, textColor: route.text_color })))))));
})));
export { Root };
//# sourceMappingURL=index.js.map