import React from "react";
import Storefront from "./icons/Storefront.svg";
import CartPlusInside from "./icons/CartPlusInside.svg";
import Brandy from "./icons/Brandy.svg";
import SpoonAndFork from "./icons/SpoonAndFork.svg";
import Coffee from "./icons/Coffee.svg";
import Baby from "./icons/Baby.svg";
import Bus from "./icons/Bus.svg";
import Train from "./icons/Train.svg";
import TrafficSignal from "./icons/TrafficSignal.svg";
import Tree from "./icons/Tree.svg";
import Barbell from "./icons/Barbell.svg";
import Brain from "./icons/Brain.svg";
import PawPrint from "./icons/PawPrint.svg";
import GasPump from "./icons/GasPump.svg";
import Heartbeat from "./icons/Heartbeat.svg";
import Palette from "./icons/Palette.svg";
import Armchair from "./icons/Armchair.svg";
import Backpack from "./icons/Backpack.svg";
import GraduationCap from "./icons/GraduationCap.svg";
const icons = {
    groceries: Storefront,
    groceries_specialized: Storefront,
    shopping: CartPlusInside,
    nightlife: Brandy,
    restaurants: SpoonAndFork,
    healthy_restaurants: SpoonAndFork,
    cafes: Coffee,
    daycares: Baby,
    bus_stops: Bus,
    rapid_transit_stations: Train,
    train_stations: TrafficSignal,
    parks: Tree,
    fitness: Barbell,
    sport_facilities: Barbell,
    personal_care: Brain,
    pet_care: PawPrint,
    car_fueling_stations: GasPump,
    health_care: Heartbeat,
    art_culture_science: Palette,
    home_improvement: Armchair,
    primary_schools: Backpack,
    high_schools: GraduationCap,
};
/**
 * Because we use renderToString (which we kind of need to be able to show our own icons as markers inside google...),
 * Suspense doesn't work. Our icons from core/ui use suspense.
 *
 * I've temporarily copied the icons needed here until we update our maps.
 *
 * Ticket that is meant to find a solution to get rid of all of this
 * https://locallogic.atlassian.net/browse/LL22-5052
 */
export const GoogleMarker = ({ type }) => {
    const Icon = icons[type];
    return (React.createElement("svg", { viewBox: "0 0 18 18", xmlns: "http://www.w3.org/2000/svg" },
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "gradient", gradientTransform: "rotate(90)" },
                React.createElement("stop", { offset: "20%", style: { stopColor: "#0d9488" } }),
                React.createElement("stop", { offset: "80%", style: { stopColor: "#0f766e" } }))),
        React.createElement("circle", { cx: "9", cy: "9", r: "6", stroke: "white", strokeWidth: "1.5", fill: "url(#gradient)" }),
        React.createElement("svg", { fill: "white", width: "7", height: "7", x: "5.5", y: "5.5" },
            React.createElement(Icon, null))));
};
//# sourceMappingURL=index.js.map