import { POI, POIs, School, Schools } from "@local-logic/client";
import { type MarkerProps } from "@local-logic/core/ui";
import { SDKOptions } from "~/types/sdk-options";
export type onChangeMap = {
    "open-change": boolean;
};
export type RootProps = SDKOptions<{
    options: {
        type: keyof POIs | keyof Schools;
        poi: POI | School;
        isOpen?: boolean;
        isHovered?: boolean;
        side?: "right" | "top" | "bottom" | "left" | undefined;
        size?: MarkerProps["size"];
        collisionPadding?: number | Partial<Record<"top" | "right" | "bottom" | "left", number>> | undefined;
        walkingTime?: string | null;
        drivingTime?: string | null;
        showDriveTime?: boolean | string | null;
        renderForPrint?: boolean;
        calculateRoute?: () => void;
    };
    onChange?: <T extends keyof onChangeMap>({ type, data, }: {
        type: T;
        data: onChangeMap[T];
    }) => void;
}>;
export type GoogleMarkerProps = {
    type: keyof POIs | keyof Schools;
};
export type GoogleClusterMarkerProps = {
    markerSize: number;
};
//# sourceMappingURL=types.d.ts.map