import React from "react";
import useHelpers from "../../useHelpers";
import { useRootElement } from "../context";
import * as styles from "./styles";
export const Badge = ({ options: { variant = "large", isPrimary = true } = {}, }) => {
    const { options: { scoresData, score }, } = useRootElement();
    const { scoreVal } = useHelpers({ scoresData, score });
    if (scoreVal == null) {
        return null;
    }
    return (React.createElement("div", { "data-testid": "score-badge", "data-is-primary": isPrimary, "data-get-styles": variant, className: styles.scoreBadge },
        React.createElement("div", { className: styles.value }, scoreVal)));
};
//# sourceMappingURL=index.js.map