import React, { useState } from "react";
import { useTranslation } from "react-i18next";
import { Text, Popover } from "@local-logic/core/ui";
import { Info as InfoIcon } from "@phosphor-icons/react";
import useHelpers from "../../useHelpers";
import { useRootElement } from "../context";
import * as styles from "./styles";
export const Description = ({ ctaClicked }) => {
    const { t } = useTranslation(["common"]);
    const { options: { scoresData, score }, onChange, } = useRootElement();
    const { textVal } = useHelpers({ scoresData, score });
    const [popoverOpen, setPopoverOpen] = useState(false);
    const event = new CustomEvent("customEvent", {
        detail: { data: "Some data" },
    });
    const onOpenChangeHandler = (e) => {
        setPopoverOpen(e);
        ctaClicked();
        if (onChange) {
            onChange({ type: "tooltip-toggle", data: e });
        }
    };
    if (!textVal) {
        return null;
    }
    return (React.createElement("div", { className: styles.textContainer },
        React.createElement(Text, { noMargin: true, color: "--ll-color-on-surface-variant1" },
            textVal,
            "."),
        React.createElement(Popover.Root, { open: popoverOpen, onOpenChange: onOpenChangeHandler },
            React.createElement(Popover.Trigger, null,
                React.createElement(InfoIcon, { className: styles.icon, "data-active": popoverOpen })),
            React.createElement(Popover.Content, { className: styles.content },
                React.createElement(Text, { noMargin: true, color: "--ll-color-on-surface-variant1" }, t(`common:scores.${score}.description`))))));
};
//# sourceMappingURL=index.js.map