import { useMemo } from "react";
const calcScoreVal = (value, round = false) => {
    if (!value) {
        return null;
    }
    const num = parseFloat(value);
    const outOf10 = num * 2;
    return round ? Math.round(outOf10) : Math.round(outOf10 * 10) / 10;
};
const useHelpers = ({ scoresData, score, round = false, }) => {
    const scoreVal = useMemo(() => {
        var _a, _b;
        const value = (_b = (_a = scoresData === null || scoresData === void 0 ? void 0 : scoresData.location) === null || _a === void 0 ? void 0 : _a[score]) === null || _b === void 0 ? void 0 : _b.value;
        return calcScoreVal(value, round);
    }, [scoresData, score, round]);
    const textVal = useMemo(() => { var _a, _b; return (_b = (_a = scoresData === null || scoresData === void 0 ? void 0 : scoresData.location) === null || _a === void 0 ? void 0 : _a[score]) === null || _b === void 0 ? void 0 : _b.text; }, [scoresData, score]);
    const cityGeography = useMemo(() => {
        var _a;
        return (_a = scoresData === null || scoresData === void 0 ? void 0 : scoresData.geographies) === null || _a === void 0 ? void 0 : _a.find((g) => g.geog_level_type === "municipality");
    }, [scoresData]);
    const neighbourhoodGeography = useMemo(() => {
        var _a;
        return (_a = scoresData === null || scoresData === void 0 ? void 0 : scoresData.geographies) === null || _a === void 0 ? void 0 : _a.find((g) => g.geog_level_type === "macro neighbourhood");
    }, [scoresData]);
    const cityScoreVal = useMemo(() => {
        var _a;
        const value = (_a = cityGeography === null || cityGeography === void 0 ? void 0 : cityGeography.scores[score]) === null || _a === void 0 ? void 0 : _a.value;
        return calcScoreVal(value, round);
    }, [cityGeography, score, round]);
    const neighbourhoodScoreVal = useMemo(() => {
        var _a;
        const value = (_a = neighbourhoodGeography === null || neighbourhoodGeography === void 0 ? void 0 : neighbourhoodGeography.scores[score]) === null || _a === void 0 ? void 0 : _a.value;
        return calcScoreVal(value, round);
    }, [neighbourhoodGeography, score, round]);
    const cityName = useMemo(() => cityGeography === null || cityGeography === void 0 ? void 0 : cityGeography.name, [cityGeography]);
    const neighbourhoodName = useMemo(() => neighbourhoodGeography === null || neighbourhoodGeography === void 0 ? void 0 : neighbourhoodGeography.name, [neighbourhoodGeography]);
    return {
        textVal,
        scoreVal,
        cityName,
        cityScoreVal,
        neighbourhoodName,
        neighbourhoodScoreVal,
    };
};
export default useHelpers;
//# sourceMappingURL=useHelpers.js.map