import React from "react";
import * as Tabs from "@radix-ui/react-tabs";
import useControllableState from "~/hooks/useControllableState";
import { RootElementContext } from "./context";
export const Root = ({ options, onChange, children }) => {
    const [currentTab, setCurrentTab] = useControllableState({
        controlledValue: options.currentTab,
        onChange: {
            func: onChange,
            key: "tabs",
        },
        defaultValue: options.defaultTab || "commute",
    });
    return (React.createElement(RootElementContext.Provider, { value: Object.assign(Object.assign({}, options), { currentTab }) },
        React.createElement(Tabs.Root, { value: currentTab, orientation: "vertical", defaultValue: currentTab, onValueChange: (e) => setCurrentTab(e) }, children)));
};
// Export children
export { Content, Title } from "./Content";
export { Tabs } from "./Tabs";
//# sourceMappingURL=index.js.map