import React from "react";
import { useTranslation } from "react-i18next";
import { Button } from "@local-logic/core/ui";
import * as RTabs from "@radix-ui/react-tabs";
import { useRootElement } from "../context";
import * as styles from "./styles";
export const Tabs = () => {
    const { t } = useTranslation(["common"]);
    const { include, activeTab, setActiveTab } = useRootElement();
    if (include.length <= 1) {
        return null;
    }
    return (React.createElement(RTabs.List, { className: styles.container, "aria-label": "Score POIs tabs", role: "none" }, include.map((poiGroup) => (React.createElement(RTabs.Trigger, { key: poiGroup, value: poiGroup, asChild: true, role: "none" },
        React.createElement(Button, { size: "small", variant: poiGroup === activeTab ? "contained" : "outlined", onClick: () => setActiveTab(poiGroup) }, t(`common:pois.${poiGroup}`)))))));
};
//# sourceMappingURL=index.js.map