import { School, Scores, POI } from "@local-logic/client";
import { FeatureCollection } from "@turf/turf";
import React, { SetStateAction } from "react";
import { type ScoreCategories } from "./types";
interface Location {
    label?: string;
    lat: number;
    lng: number;
}
export type DefaultContext = {
    country: string | "";
    setCountry: (country: string | "") => void;
    activeScore: keyof Scores["location"] | "";
    setActiveScore: (score: keyof Scores["location"] | "") => void;
    activeCategory: ScoreCategories;
    setActiveCategory: (value: ScoreCategories) => void;
    activePOI: POI | School | undefined;
    setActivePOI: (poi: POI | School | undefined) => void;
    hoveredPOI: POI | School | undefined;
    setHoveredPOI: (poi: POI | School | undefined) => void;
    commuteGeojson: FeatureCollection | google.maps.LatLng[] | undefined;
    setCommuteGeojson: (geojson: FeatureCollection | google.maps.LatLng[] | undefined) => void;
    destination: Location | undefined;
    setDestination: (data: Location | undefined) => void;
    showCommuteCalculator?: boolean;
    setShowCommuteCalculator: React.Dispatch<SetStateAction<boolean>>;
    isInputAutoFocused?: boolean;
    setIsInputAutoFocused: React.Dispatch<SetStateAction<boolean>>;
    location: {
        lat?: number;
        lng?: number;
    };
    initialLocation: {
        lat?: number;
        lng?: number;
    };
    hideScores: boolean;
    collapseScores: boolean;
};
declare const useLocalContent: () => DefaultContext;
declare const LocalContentProvider: ({ children }: {
    children: React.ReactNode;
}) => React.JSX.Element;
export { useLocalContent, LocalContentProvider, type Location };
//# sourceMappingURL=context.d.ts.map