import { LocalContentProps } from "../types";
type Location = {
    lat: number | undefined;
    lng: number | undefined;
};
export interface GoogleLocation {
    location: {
        latLng: {
            latitude: number;
            longitude: number;
        };
    };
}
export interface GoogleComputeRouteReponse {
    routes: [
        {
            viewport: {
                low: {
                    latitude: number;
                    longitude: number;
                };
                high: {
                    latitude: number;
                    longitude: number;
                };
            };
            localizedValues: {
                distance: {
                    text: string;
                };
                duration: {
                    text: string;
                };
            };
            polyline: {
                encodedPolyline: string;
            };
        }
    ];
}
export type GoogleTravelMode = "TRAVEL_MODE_UNSPECIFIED" | "DRIVE" | "BICYCLE" | "WALK" | "TWO_WHEELER" | "TRANSIT";
type GoogleDistanceUnits = "UNITS_UNSPECIFIED" | "METRIC" | "IMPERIAL";
type GooglePolylineEncoding = "POLYLINE_ENCODING_UNSPECIFIED" | "ENCODED_POLYLINE" | "GEO_JSON_LINESTRING";
export declare const formatOrigin: (sdkState: Partial<Pick<LocalContentProps, "options" | "apiKey" | "globalOptions">>) => {
    location: {
        latLng: {
            latitude: number;
            longitude: number;
        };
    };
} | null;
export declare const formatDestination: (dest: Location | undefined) => {
    location: {
        latLng: {
            latitude: number;
            longitude: number;
        };
    };
} | null;
type GoogleComputeRouteProps = {
    travelMode: GoogleTravelMode;
    origin: GoogleLocation | null;
    destination: GoogleLocation | null;
    units: GoogleDistanceUnits;
    polylineEncoding: GooglePolylineEncoding;
    googleApiKey: string;
    locale: "en" | "fr";
};
export declare function useGoogleComputeRoute({ travelMode, origin, destination, units, polylineEncoding, googleApiKey, locale, }: GoogleComputeRouteProps): import("@tanstack/react-query").UseQueryResult<GoogleComputeRouteReponse, Error>;
export {};
//# sourceMappingURL=useGoogleComputeRoute.d.ts.map