import React, { useState, useMemo } from "react";
import "~/assets/styles/old-tailwind.css";
import "maplibre-gl/dist/maplibre-gl.css";
import { TrackingProvider, initializeAnalytics, } from "@local-logic/core/tracking";
import { LocalLogicProvider } from "~/context/LocalLogicProvider";
import { useStateManagerContext } from "~/context/stateManager";
import useIsMobile from "~/hooks/useIsMobile";
import { ProductNames } from "~/types";
import { ANALYTICS_SETTINGS } from "~/constants/analytics";
import { LocalContentProvider } from "./context";
import Map from "./components/Map";
initializeAnalytics(ANALYTICS_SETTINGS.localContent.key);
const LocalContent = () => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j;
    const { sdkState } = useStateManagerContext();
    // LocalContent map changes the lat/lng but that's bad for our tracking
    // This will be fixed once we re-do the map of LocalContent
    const [location, _] = useState({
        lat: (_a = sdkState.options) === null || _a === void 0 ? void 0 : _a.lat,
        lng: (_b = sdkState.options) === null || _b === void 0 ? void 0 : _b.lng,
    });
    const isMobile = useIsMobile();
    const clientId = useMemo(() => {
        var _a, _b;
        const clientKey = (_b = (_a = sdkState.apiKey) === null || _a === void 0 ? void 0 : _a.split(".")) !== null && _b !== void 0 ? _b : "";
        return clientKey[0].slice(3);
    }, [sdkState.apiKey]);
    return (React.createElement(LocalLogicProvider, { environment: (_d = (_c = sdkState.globalOptions) === null || _c === void 0 ? void 0 : _c.environment) === null || _d === void 0 ? void 0 : _d.api, apiKey: sdkState.apiKey, appearance: (_e = sdkState.globalOptions) === null || _e === void 0 ? void 0 : _e.appearance, locale: (_f = sdkState.globalOptions) === null || _f === void 0 ? void 0 : _f.locale, product: ProductNames.LOCAL_CONTENT },
        React.createElement(TrackingProvider, { trackingPipelineSettings: {
                apiKey: sdkState.apiKey || "",
            }, analyticsSettings: ANALYTICS_SETTINGS.localContent, meta: {
                clientId,
                productName: ProductNames.LOCAL_CONTENT,
                productVersion: FULL_APP_VERSION,
            }, attributes: {
                location,
                host_url: document.referrer,
                locale: (_g = sdkState.globalOptions) === null || _g === void 0 ? void 0 : _g.locale,
                isMobile,
                mapProvider: (_j = (_h = sdkState.options) === null || _h === void 0 ? void 0 : _h.mapProvider) === null || _j === void 0 ? void 0 : _j.name,
            }, flags: {
                isDebugMode: import.meta.env.VITE_TRACKING_PIPELINE_DEBUG === "true",
            } },
            React.createElement(LocalContentProvider, null,
                React.createElement(Map, null)))));
};
export default LocalContent;
//# sourceMappingURL=index.js.map