import React from "react";
import { useDemographics } from "~/sdks/LocalDemographics/context";
import { HomeOwnershipType } from "./HomeOwnershipType";
import { TypeOfHousing } from "./TypeOfHousing";
import * as styles from "../styles";
export const Housing = () => {
    const { demographicsState: { property_tenure: propertyTenure, housing_tenancy: housingTenancy, housing_type: housingType, }, } = useDemographics();
    // For the US, the name of the property changes
    const housingInfo = housingTenancy || propertyTenure;
    return (React.createElement("div", { className: styles.graphLayoutWrapper },
        housingInfo && (React.createElement("div", { className: styles.graphSideBySide },
            React.createElement("div", { className: styles.graphContainer, "data-size": "half" },
                React.createElement(HomeOwnershipType, null)))),
        housingType && (React.createElement("div", { className: styles.graphContainer, "data-size": "half" },
            React.createElement(TypeOfHousing, null)))));
};
//# sourceMappingURL=index.js.map