import React from "react";
import * as Tabs from "@radix-ui/react-tabs";
import { RootElementContext } from "./context";
export const Root = ({ options, onChange, children }) => {
    const handleOnChange = (value) => {
        onChange({ type: "tabs", data: value });
    };
    return (React.createElement(RootElementContext.Provider, { value: {
            options,
            onChange,
        } },
        React.createElement(Tabs.Root, { value: options.activeTab, onValueChange: handleOnChange }, children)));
};
// Export children
export { Content } from "./Content";
export { Tabs } from "./Tabs";
export { Select } from "./Select";
//# sourceMappingURL=index.js.map