import React, { useMemo } from "react";
import { useStateManagerContext } from "~/context/stateManager";
import { useDemographics } from "~/sdks/LocalDemographics/context";
import { useTranslation } from "react-i18next";
import { Text } from "@local-logic/core/ui";
import { Attribution } from "~/components/Attribution";
import * as styles from "./styles";
export const Footer = () => {
    var _a;
    const { t } = useTranslation(["localDemographics", "common"]);
    const { demographicsState } = useDemographics();
    const { sdkState } = useStateManagerContext();
    const locale = (_a = sdkState.globalOptions) === null || _a === void 0 ? void 0 : _a.locale;
    const { country } = demographicsState;
    const value = useMemo(() => {
        if (country === "CAN") {
            if (locale === "fr") {
                return "0,5";
            }
            return "0.5";
        }
        return "0.3";
    }, [locale, country]);
    const unit = useMemo(() => t(`common:distance.${country === "CAN" ? "kilometer" : "mile"}`), [locale, country]);
    return (React.createElement("div", { className: styles.container },
        React.createElement(Text, { noMargin: true, variant: "caption1", color: "--ll-color-on-background-variant1" }, t("note", { value, unit })),
        React.createElement(Attribution, null)));
};
//# sourceMappingURL=index.js.map