import React from "react";
import { type Demographics } from "@local-logic/client";
import { type DemographicsCategory } from "./types";
export interface State {
    education_level?: Demographics["education_level"];
    employment_status?: Demographics["employment_status"];
    commute_mode?: Demographics["commute_mode"];
    household_composition?: Demographics["household_composition"];
    income?: Demographics["income"];
    income_stats?: Demographics["income_stats"];
    income_level?: Demographics["income_level"];
    population_age?: Demographics["population_age"];
    population_total?: Demographics["population_total"];
    housing_tenancy?: Demographics["housing_tenancy"];
    housing_type?: Demographics["housing_type"];
    property_tenure?: Demographics["property_tenure"];
    mother_tongue?: Demographics["mother_tongue"];
    official_language_knowledge?: Demographics["official_language_knowledge"];
    location: {
        lat: number;
        lng: number;
    };
    country: string;
}
type Action = Partial<State>;
export type DefaultContext = {
    demographicsState: State;
    setDemographicsState: React.Dispatch<Action>;
    activeCategory: DemographicsCategory;
    setActiveCategory: (value: DemographicsCategory) => void;
};
declare const useDemographics: () => DefaultContext;
declare const LocalDemographicsProvider: ({ children, }: {
    children: React.ReactNode;
}) => React.JSX.Element;
export { useDemographics, LocalDemographicsProvider };
//# sourceMappingURL=context.d.ts.map