import { number, object, mixed } from "yup";
export const schema = object({
    lat: number()
        .min(-90, "Must be a valid latitude.")
        .max(90, "Must be a valid latitude.")
        .required(),
    lng: number()
        .min(-180, "Must be a valid longitude.")
        .max(180, "Must be a valid longitude.")
        .required(),
    title: mixed().optional(),
    defaultTab: mixed().optional(),
}).noUnknown(true);
export const validateOptions = (options) => schema.validate(options, { abortEarly: false });
//# sourceMappingURL=schema.js.map