import React from "react";
import { useNeighborhoodDemographics } from "~/sdks/NeighborhoodDemographics/context";
import { HomeOwnershipType } from "./HomeOwnershipType";
import { TypeOfHousing } from "./TypeOfHousing";
import * as styles from "../styles";
// TODO: To be reworked once we start implementing the new graphs
export const Housing = () => {
    const { demographicsData: { property_tenure: propertyTenure, housing_tenancy: housingTenancy, housing_type: housingType, }, } = useNeighborhoodDemographics();
    // For the US, the name of the property changes
    const housingInfo = housingTenancy || propertyTenure;
    return (React.createElement("div", { className: styles.graphLayoutWrapper },
        housingInfo && (React.createElement("div", { className: styles.graphSideBySide },
            React.createElement("div", { className: styles.graphContainer },
                React.createElement(HomeOwnershipType, null)))),
        housingType && (React.createElement("div", { className: styles.graphContainer },
            React.createElement(TypeOfHousing, null)))));
};
//# sourceMappingURL=index.js.map