import React from "react";
import { useNeighborhoodDemographics } from "~/sdks/NeighborhoodDemographics/context";
import { AverageIncome } from "./AverageIncome";
import { EmploymentStatus } from "./EmploymentStatus";
import { IncomeBrackets } from "./IncomeBrackets";
import * as styles from "../styles";
// TODO: To be reworked once we start implementing the new graphs
export const Income = () => {
    const { demographicsData: { income_level: incomeLevel }, } = useNeighborhoodDemographics();
    // Employment status and Income level only available in the USA
    return (React.createElement(React.Fragment, null, incomeLevel ? (React.createElement("div", { className: styles.graphLayoutWrapper },
        React.createElement("div", { className: styles.graphSideBySide },
            React.createElement("div", { className: styles.graphContainer },
                React.createElement(AverageIncome, null)),
            React.createElement("div", { className: styles.graphContainer },
                React.createElement(EmploymentStatus, null))),
        React.createElement(IncomeBrackets, null))) : (React.createElement("div", { className: styles.graphLayoutWrapper },
        React.createElement("div", { className: styles.graphContainer, "data-size": "quarter" },
            React.createElement(AverageIncome, null))))));
};
//# sourceMappingURL=index.js.map