import { mixed, boolean, number, string, object } from "yup";
export const schema = object({
    lat: number()
        .min(-90, "Must be a valid latitude.")
        .max(90, "Must be a valid latitude.")
        .when("geographyId", {
        is: (geographyId) => typeof geographyId === "string",
        then: (fieldSchema) => fieldSchema.optional(),
        otherwise: (fieldSchema) => fieldSchema.required(),
    }),
    lng: number()
        .min(-180, "Must be a valid longitude.")
        .max(180, "Must be a valid longitude.")
        .when("geographyId", {
        is: (geographyId) => typeof geographyId === "string",
        then: (fieldSchema) => fieldSchema.optional(),
        otherwise: (fieldSchema) => fieldSchema.required(),
    }),
    geographyId: string().optional(),
    title: mixed().optional(),
    hideAttribution: boolean().optional(),
}).noUnknown(true);
//# sourceMappingURL=schema.js.map