import React, { useMemo } from "react";
import { useNeighborhoodHero } from "~/sdks/NeighborhoodHero/context";
import { MapPin as MapPinIcon } from "@phosphor-icons/react";
import * as styles from "./styles";
export const Header = () => {
    const { isLoading, locationInfo, neighborhoodImage, isFallbackImage } = useNeighborhoodHero();
    const style = useMemo(() => {
        if (!neighborhoodImage) {
            return {};
        }
        return {
            backgroundImage: `url("${neighborhoodImage}")`,
        };
    }, [neighborhoodImage]);
    if (isLoading) {
        return null;
    }
    return (React.createElement("div", { "data-testid": "header-container", "data-cy": "header-container", className: styles.container, style: style, "data-has-image": neighborhoodImage !== null, "data-use-backdrop": !isFallbackImage && neighborhoodImage !== null },
        React.createElement("div", { className: styles.gradientContainer },
            React.createElement(MapPinIcon, { className: styles.icon }),
            React.createElement("h1", { "data-testid": "micro-location", "data-cy": "micro-location", className: styles.microLocation }, locationInfo === null || locationInfo === void 0 ? void 0 : locationInfo.microLocation),
            React.createElement("div", { "data-testid": "macro-location", "data-cy": "macro-location", className: styles.macroLocation }, locationInfo === null || locationInfo === void 0 ? void 0 : locationInfo.macroLocation))));
};
//# sourceMappingURL=index.js.map