import React, { lazy, useMemo } from "react";
import { useRootElement } from "../context";
import * as styles from "./styles";
const MapGLBaseMap = lazy(() => import("./MapGL"));
export const BaseMap = ({ children, bounds }) => {
    const { mapProvider } = useRootElement();
    const MapProvider = useMemo(() => {
        switch (mapProvider === null || mapProvider === void 0 ? void 0 : mapProvider.name) {
            default:
                return MapGLBaseMap;
        }
    }, [mapProvider]);
    return (React.createElement(MapProvider, { bounds: bounds },
        React.createElement("div", { className: styles.container }, children)));
};
//# sourceMappingURL=index.js.map