import React, { useMemo } from "react";
import { useRootElement } from "../context";
import { MapGLMarker } from "./MapGL";
export const Marker = (props) => {
    const { mapProvider } = useRootElement();
    const MarkerProvider = useMemo(() => {
        switch (mapProvider === null || mapProvider === void 0 ? void 0 : mapProvider.name) {
            default:
                return MapGLMarker;
        }
    }, [mapProvider]);
    return React.createElement(MarkerProvider, Object.assign({}, props));
};
//# sourceMappingURL=index.js.map