import { SDKOptions } from "~/types/sdk-options";
import { MapProvider } from "~/types/options";
import { FeatureCollection, MultiPolygon, Properties } from "@turf/turf";
import { POI, POIs, School, Schools } from "@local-logic/client";
export type Theme = "day" | "night";
export type onChangeMap = {
    lat: number;
    lng: number;
};
export type RootProps = SDKOptions<{
    options: {
        lat?: number;
        lng?: number;
        theme?: Theme;
        mapProvider?: MapProvider;
        zoom?: number;
        pitch?: number;
        bearing?: number;
        cooperativeGestures?: boolean;
        geometry?: FeatureCollection<MultiPolygon, Properties>;
        geometries?: {
            key: string;
            geoJson: FeatureCollection<MultiPolygon, Properties> | undefined;
            color: string;
        }[];
        pois?: POI[] | School[];
        poiCategory?: keyof POIs | keyof Schools;
    };
    onChange?: <T extends keyof onChangeMap>({ type, data, }: {
        type: T;
        data: onChangeMap[T];
    }) => void;
}>;
//# sourceMappingURL=types.d.ts.map