import React from "react";
import { mapUtils } from "@local-logic/core/utils";
import { POI, School } from "@local-logic/client";
import { type LocationInfo } from "~/types/profiles";
import { type POICategory } from "./types";
interface Location {
    label?: string;
    lat: number;
    lng: number;
}
export type DefaultContext = {
    isLoading: boolean;
    radius: number;
    locationInfo?: LocationInfo;
    neighborhoodGeometry?: ReturnType<typeof mapUtils.formatGeometry>;
    activePoiCategory?: POICategory;
    onSelectPoiCategory: (category?: POICategory) => void;
    onRadiusChange: (newRadius: number) => void;
    markers?: POI[] | School[];
};
declare const useNeighborhoodMap: () => DefaultContext;
declare const NeighborhoodMapProvider: ({ children, }: {
    children: React.ReactNode;
}) => React.JSX.Element;
export { useNeighborhoodMap, NeighborhoodMapProvider, type Location };
//# sourceMappingURL=context.d.ts.map