import { useMemo } from "react";
import { useSchools } from "~/hooks/useSchools";
import { categories } from "../constants";
import { usePois } from "./usePois";
export const useMarkers = ({ lat, lng, category, radius = 2000 }) => {
    const { isLoading: isPoisLoading, data: poisData } = usePois({
        lat,
        lng,
        include: category && category !== "schools"
            ? categories[category].pois
            : undefined,
        radius,
    });
    const { isLoading: isSchoolsLoading, data: schoolsData } = useSchools({
        lat,
        lng,
        include: category && category === "schools"
            ? categories[category].pois
            : undefined,
        radius,
        includeCatchments: true,
    });
    const markers = useMemo(() => [].concat(...Object.values(poisData || schoolsData || [])), [poisData, schoolsData]);
    return {
        isLoading: isPoisLoading || isSchoolsLoading,
        data: markers,
    };
};
//# sourceMappingURL=useMarkers.js.map