import React from "react";
import { defaultColors } from "~/sdks/NeighborhoodMarketTrends/defaultState";
import { RootElementContext } from "./context";
import * as styles from "./styles";
export const Root = ({ className, children, colors = {} }) => {
    const { buyerColor = defaultColors.buyerColor, sellerColor = defaultColors.sellerColor, decreaseColor = defaultColors.decreaseColor, neutralColor = defaultColors.neutralColor, increaseColor = defaultColors.increaseColor, } = colors;
    return (React.createElement(RootElementContext.Provider, { value: {
            buyerColor,
            sellerColor,
            decreaseColor,
            neutralColor,
            increaseColor,
        } },
        React.createElement("div", { className: `${styles.wrapper} ${className || ""}` }, children)));
};
// Export children
export { BuyerSellerMarket } from "./BuyerSellerMarket";
export { ActiveListings } from "./ActiveListings";
export { MedianAskingPrice } from "./MedianAskingPrice";
export { MedianDaysOnMarket } from "./MedianDaysOnMarket";
export { MedianSaleVsAskingPrice } from "./MedianSaleVsAskingPrice";
export { MedianSalePrice } from "./MedianSalePrice";
export { MedianSalePriceSQFT } from "./MedianSalePriceSQFT";
export { HomesSold } from "./HomesSold";
export { HousingMarketConditions } from "./HousingMarketConditions";
//# sourceMappingURL=index.js.map