import React, { useMemo } from "react";
import * as Popover from "@radix-ui/react-popover";
import { Info as InfoIcon, X as XIcon } from "@phosphor-icons/react";
import useIsMobile from "~/hooks/useIsMobile";
import * as styles from "./styles";
export function InfoPopover({ children }) {
    const isMobile = useIsMobile();
    const side = useMemo(() => (isMobile ? "bottom" : "right"), [isMobile]);
    return (React.createElement(Popover.Root, null,
        React.createElement(Popover.Trigger, null,
            React.createElement(InfoIcon, { className: styles.icon })),
        React.createElement(Popover.Content, { className: styles.content, side: side, sideOffset: 4 },
            children,
            React.createElement(Popover.Close, null,
                React.createElement(XIcon, { className: styles.close, weight: "bold" })))));
}
//# sourceMappingURL=index.js.map