import { SDKOptions } from "~/types/options";
export declare enum TabIds {
    marketConditions = "market-conditions",
    recentTrends = "recent-trends",
    currentActivity = "current-activity"
}
export type Options = {
    lat?: number;
    lng?: number;
    geographyId?: string;
    title?: boolean | string;
    hideAttribution?: boolean;
    omitTabs?: TabIds[];
    appearance?: {
        colors?: {
            buyerColor?: string;
            sellerColor?: string;
            neutralColor?: string;
            increaseColor?: string;
            decreaseColor?: string;
        };
    };
};
export type NeighborhoodMarketTrendsProps = SDKOptions<Options, {
    options: Options | undefined;
}>;
export declare enum TrackingPipelineEvents {
    SDK_VIEWED = "neighborhood-market-trends-Viewed",
    TAB_CLICKED = "neighborhood-market-trends-Tab-Clicked"
}
export declare enum AnalyticsEvents {
    SDK_VIEWED = "sdk_viewed",
    CATEGORY_SELECTED = "category_selected"
}
//# sourceMappingURL=types.d.ts.map