import React from "react";
import type { LocationInfo } from "~/types/profiles";
import type { ComparedNeighborhood } from "./types";
interface Location {
    lat: number;
    lng: number;
}
export type DefaultContext = {
    limit: number;
    minimumLimit: number;
    hasMore: boolean;
    viewMore: () => void;
    viewLess: () => void;
    isLoading: boolean;
    isFetched: boolean;
    similarNeighborhoods: ComparedNeighborhood[];
    locationInfo?: LocationInfo;
    hideAffordabilityTags?: boolean;
    hideAttribution?: boolean;
    hideThumbnails?: boolean;
};
declare const useNeighborhoodMatch: () => DefaultContext;
declare const NeighborhoodMatchProvider: ({ children, }: {
    children: React.ReactNode;
}) => React.JSX.Element;
export { useNeighborhoodMatch, NeighborhoodMatchProvider, type Location };
//# sourceMappingURL=context.d.ts.map