import { SDKOptions } from "~/types/options";
import type { Neighborhood } from "@local-logic/client";
export type Options = {
    lat?: number;
    lng?: number;
    geographyId?: string;
    title?: boolean | string;
    hideAffordabilityTags?: boolean;
    hideAttribution?: boolean;
    hideThumbnails?: boolean;
};
export type NeighborhoodMatchProps = SDKOptions<Options, {
    options: Options | undefined;
}>;
export type AffordabilityComparison = "lessAffordable" | "comparable" | "moreAffordable";
export interface ComparedNeighborhood extends Neighborhood {
    affordabilityComparison?: AffordabilityComparison;
}
export declare enum TrackingPipelineEvents {
    SDK_VIEWED = "neighborhood-match-Viewed",
    NEIGHBORHOOD_CARD_CLICKED = "neighborhood-match-Card-Clicked",
    PAGINATION_CLICKED = "neighborhood-match-Pagination-Clicked"
}
export declare enum AnalyticsEvents {
    SDK_VIEWED = "sdk_viewed",
    NEIGHBORHOOD_CARD_CLICKED = "neighborhood_card_clicked",
    PAGINATION_CLICKED = "pagination_clicked"
}
//# sourceMappingURL=types.d.ts.map