import React from "react";
import { useTranslation } from "react-i18next";
import { useNeighborhoodPropertyValueDrivers } from "~/sdks/NeighborhoodPropertyValueDrivers/context";
import { NoDataContent } from "~/components/NoDataContent";
import { LoadingSpinner } from "@local-logic/core/ui";
import { Card } from "../Card";
import * as styles from "./styles";
export const Content = () => {
    const { t } = useTranslation("neighborhoodPropertyValueDrivers");
    const { propertyValueDrivers, isLoading } = useNeighborhoodPropertyValueDrivers();
    return (React.createElement(React.Fragment, null,
        isLoading && (React.createElement("div", { className: styles.loadingContent },
            React.createElement(LoadingSpinner, { image: true }))),
        !isLoading &&
            propertyValueDrivers &&
            propertyValueDrivers.length > 0 && (React.createElement("div", { className: styles.content }, propertyValueDrivers &&
            propertyValueDrivers.map((driver) => (React.createElement(Card, { key: driver.name, driver: driver }))))),
        !isLoading && !propertyValueDrivers && (React.createElement(NoDataContent, { text: t("noData") }))));
};
//# sourceMappingURL=index.js.map