import React from "react";
import { useTranslation } from "react-i18next";
import { useTracking } from "@local-logic/core/tracking";
import { Attribution } from "~/components/Attribution";
import { TrackingPipelineEvents } from "~/sdks/NeighborhoodSchools/types";
import * as styles from "./styles";
export const Footer = ({ hideAttribution }) => {
    const { t } = useTranslation("neighborhoodSchools");
    const tracking = useTracking();
    const handleAttributionClicked = () => {
        tracking.postEvent({
            eventType: TrackingPipelineEvents.ATTRIBUTION_CLICKED,
        });
    };
    return (React.createElement("div", { className: styles.container },
        React.createElement("p", { className: styles.dataDisclaimer }, t("dataDisclaimer")),
        !hideAttribution && React.createElement(Attribution, { onClick: handleAttributionClicked })));
};
//# sourceMappingURL=index.js.map