import React from "react";
import { useTranslation } from "react-i18next";
import { useNeighborhoodSchools } from "~/sdks/NeighborhoodSchools/context";
import * as styles from "./styles";
import { SchoolName } from "../../SchoolName";
export const Body = ({ schools }) => {
    const { t } = useTranslation("neighborhoodSchools");
    const { headers } = useNeighborhoodSchools();
    return (React.createElement(React.Fragment, null, schools === null || schools === void 0 ? void 0 : schools.map((school) => {
        var _a, _b, _c, _d, _e, _f, _g, _h;
        return (React.createElement("tr", { key: `row-${school.name}`, className: styles.rows },
            React.createElement("td", null,
                React.createElement(SchoolName, { school: school })),
            React.createElement("td", null,
                React.createElement("div", { className: styles.badges }, (_b = (_a = school.school_attributes) === null || _a === void 0 ? void 0 : _a.types) === null || _b === void 0 ? void 0 :
                    _b.map((type) => (React.createElement("p", { key: `${school.name}-${type}`, className: styles.badge, "data-variant": "dark" }, type))), (_d = (_c = school.school_attributes) === null || _c === void 0 ? void 0 : _c.programs) === null || _d === void 0 ? void 0 :
                    _d.map((program) => program === "magnet" && (React.createElement("p", { key: `${school.name}-${program}`, className: styles.badge, "data-variant": "dark" }, program))))),
            headers.indexOf("languages") !== -1 && (React.createElement("td", null,
                React.createElement("div", { className: styles.badges }, (_f = (_e = school.school_attributes) === null || _e === void 0 ? void 0 : _e.languages) === null || _f === void 0 ? void 0 : _f.map((language) => (React.createElement("p", { key: `${school.name}-${language}`, className: styles.badge, "data-variant": "light" }, language === "fr" ? t("french") : t("english"))))))),
            React.createElement("td", null,
                React.createElement("div", { className: styles.badges }, (_h = (_g = school.school_attributes) === null || _g === void 0 ? void 0 : _g.levels) === null || _h === void 0 ? void 0 : _h.map((level) => (React.createElement("p", { key: `${school.name}-${level}`, className: styles.badge, "data-variant": "light" }, level))))),
            React.createElement("td", null,
                React.createElement("p", { className: styles.mediumText }, school.address))));
    })));
};
//# sourceMappingURL=index.js.map