import React from "react";
import { useTranslation } from "react-i18next";
import { LoadingSpinner } from "@local-logic/core/ui";
import { NoDataContent } from "~/components/NoDataContent";
import { useNeighborhoodSchools } from "~/sdks/NeighborhoodSchools/context";
import * as styles from "./styles";
import { Body } from "./Body";
export const SchoolsTable = ({ schools }) => {
    const { t } = useTranslation("neighborhoodSchools");
    const { isLoading, headers } = useNeighborhoodSchools();
    return (React.createElement(React.Fragment, null,
        isLoading && (React.createElement("div", { className: styles.loadingContent },
            React.createElement(LoadingSpinner, { image: true }))),
        !isLoading && (React.createElement("div", { className: styles.container },
            React.createElement("table", { className: styles.table },
                React.createElement("thead", null,
                    React.createElement("tr", null, headers &&
                        headers.map((header) => (React.createElement("th", { key: header, className: styles.header },
                            React.createElement("h2", null, t(`headers.${header}`))))))),
                React.createElement("tbody", null,
                    schools && (schools === null || schools === void 0 ? void 0 : schools.length) > 0 && React.createElement(Body, { schools: schools }),
                    (schools === null || schools === void 0 ? void 0 : schools.length) === 0 && (React.createElement("div", { className: styles.blankFilter },
                        React.createElement(NoDataContent, { text: t("noFilteredData") }))))))),
        !isLoading && !schools && React.createElement(NoDataContent, { text: t("noData") })));
};
//# sourceMappingURL=index.js.map