import React, { useMemo } from "react";
import "~/assets/styles/old-tailwind.css";
import { TrackingProvider, initializeAnalytics, } from "@local-logic/core/tracking";
import { mapUtils } from "@local-logic/core/utils";
import ResizeWrapper from "~/components/ResizeWrapper";
import { ValidateOptions } from "~/components/ValidateOptions";
import { LocalLogicProvider } from "~/context/LocalLogicProvider";
import { useStateManagerContext } from "~/context/stateManager";
import useIsMobile from "~/hooks/useIsMobile";
import { ProductNames } from "~/types";
import { ANALYTICS_SETTINGS } from "~/constants/analytics";
import { NeighborhoodShowcaseProvider } from "./context";
import { Content } from "./components/Content";
import { schema } from "./schema";
initializeAnalytics(ANALYTICS_SETTINGS.neighborhoodShowcase.key);
const NeighborhoodShowcase = () => {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const { sdkState } = useStateManagerContext();
    const isMobile = useIsMobile();
    const locale = ((_a = sdkState.globalOptions) === null || _a === void 0 ? void 0 : _a.locale) || "en";
    const clientId = useMemo(() => {
        var _a, _b;
        const clientKey = (_b = (_a = sdkState.apiKey) === null || _a === void 0 ? void 0 : _a.split(".")) !== null && _b !== void 0 ? _b : "";
        return clientKey[0].slice(3);
    }, [sdkState.apiKey]);
    const location = useMemo(() => {
        var _a, _b, _c, _d, _e;
        if ((_a = sdkState.options) === null || _a === void 0 ? void 0 : _a.geographyId) {
            return Object.assign(Object.assign({}, mapUtils.decodeGeogId((_b = sdkState.options) === null || _b === void 0 ? void 0 : _b.geographyId)), { geographyId: (_c = sdkState.options) === null || _c === void 0 ? void 0 : _c.geographyId });
        }
        return {
            lat: (_d = sdkState.options) === null || _d === void 0 ? void 0 : _d.lat,
            lng: (_e = sdkState.options) === null || _e === void 0 ? void 0 : _e.lng,
        };
    }, [
        (_b = sdkState.options) === null || _b === void 0 ? void 0 : _b.lat,
        (_c = sdkState.options) === null || _c === void 0 ? void 0 : _c.lng,
        (_d = sdkState.options) === null || _d === void 0 ? void 0 : _d.geographyId,
    ]);
    return (React.createElement(ResizeWrapper, null,
        React.createElement(ValidateOptions, { sdk: "Neighborhood Showcase", schema: schema, options: sdkState.options },
            React.createElement(LocalLogicProvider, { environment: (_f = (_e = sdkState.globalOptions) === null || _e === void 0 ? void 0 : _e.environment) === null || _f === void 0 ? void 0 : _f.api, apiKey: sdkState.apiKey, appearance: (_g = sdkState.globalOptions) === null || _g === void 0 ? void 0 : _g.appearance, locale: (_h = sdkState.globalOptions) === null || _h === void 0 ? void 0 : _h.locale, product: ProductNames.NEIGHBORHOOD_SHOWCASE },
                React.createElement(TrackingProvider, { trackingPipelineSettings: {
                        apiKey: sdkState.apiKey || "",
                    }, analyticsSettings: ANALYTICS_SETTINGS.neighborhoodShowcase, meta: {
                        clientId,
                        productName: ProductNames.NEIGHBORHOOD_SHOWCASE,
                        productVersion: FULL_APP_VERSION,
                    }, attributes: {
                        location,
                        host_url: document.referrer,
                        locale,
                        isMobile,
                    }, flags: {
                        isDebugMode: import.meta.env.VITE_TRACKING_PIPELINE_DEBUG === "true",
                    } },
                    React.createElement(NeighborhoodShowcaseProvider, null,
                        React.createElement(Content, null)))))));
};
export default NeighborhoodShowcase;
//# sourceMappingURL=index.js.map