export type Neighborhood = {
    geogId: string;
    level: number;
    name: string;
    countryCode: string;
    subCountryCode: string;
    city?: string;
    imageUrl?: string;
    summary?: string;
};
export type ApiNeighborhood = {
    geog_id: string;
    country_code: string;
    sub_country_code: string;
    name_en: string;
    name_fr: string;
    level: number;
    city_name_en: string;
    city_name_fr: string;
};
export type ConfigurationTypes = "name" | "image_url" | "summary" | "transport" | "services" | "character" | "housing";
export type ConfigurationValue = {
    value: string;
    overridenByEntity?: {
        id: string;
        name: string;
    };
};
export type NeighborhoodConfigurationData = {
    [key in ConfigurationTypes]: ConfigurationValue;
};
export type FavoriteNeighborhoods = {
    featured?: Neighborhood;
    favorites?: Neighborhood[];
};
//# sourceMappingURL=neighborhoods.d.ts.map