import { AnalyticsBrowser } from "@segment/analytics-next";
class AnalyticsTracker {
    constructor() {
        this.analytics = AnalyticsBrowser.load({
            writeKey: import.meta.env.VITE_SEGMENT_KEY,
        });
    }
    trackPageLoad() {
        this.analytics.page();
    }
    trackEvent(eventName, eventData) {
        this.analytics.track(eventName, {
            event_data: eventData,
            environment: import.meta.env.MODE,
        });
    }
}
export const analyticsTracker = new AnalyticsTracker();
//# sourceMappingURL=analyticsTracker.js.map