import { SeverityLevel as SentrySeverityLevel } from "@sentry/react";
export type Primitive = number | string | boolean | bigint | symbol | null | undefined;
export type SentryTag = {
    [key: string]: Primitive;
};
/**
 * This is a light wrapper around Sentry. We can augment different Sentry
 * methods to be more useful to our needs.
 */
declare class ErrorTracker {
    constructor();
    captureException(error: Error): void;
    addBreadCrumb(category: string, message: string, data?: object, level?: SentrySeverityLevel): void;
    setTags(tags: SentryTag): void;
    /**
     * Generate useful console logs for debugging
     */
    private log;
}
declare const singletonErrorTracker: Readonly<ErrorTracker>;
export default singletonErrorTracker;
//# sourceMappingURL=index.d.ts.map